<?php
/*
Plugin Name: Nice Notifications - kingtheme.net
Description: Nice Notifications is a Premium Notification bar plugin for WordPress 3+. Design &amp; compose your notification banners using a visual drag'n'drop editor. Include captions, icons, images, buttons and even widget areas to use your favourite widgets on your notification bars. This plugin includes several custom widgets garanteed to look great on your Nice Notifications bars.
Plugin URI: http://www.alchemythemes.com/
Author: AlchemyThemes
Version: 0.9
Author URI: http://www.alchemythemes.com/
*/

define('AT_NOTI_PLUGIN', 	'AlchemyThemes Nice Notification');
define('AT_NOTI_LANG', 'alchemythemes-nice-notifications');
define('AT_NOTI_VERSION', 	'0.9');
load_plugin_textdomain(AT_NOTI_LANG, false, basename(dirname( __FILE__  )).'/localization' );

// Load scripts and styles for the wp-admin
function at_noti_load_admin_scripts() {
	global $wp_version;
	
	global $pagenow, $typenow;
  	if (is_admin() && $pagenow=='post-new.php' OR $pagenow=='post.php' && $typenow=='at_noti') {
		/* Styles */
		wp_register_style(	'at_noti_styles_fonts', 		plugin_dir_url(__FILE__).'css/fontselect.css', 'style', '0.1');
		wp_enqueue_style(	'at_noti_styles_fonts');
		wp_register_style(	'at_noti_styles_awesome', 		plugin_dir_url(__FILE__).'font-awesome/css/font-awesome.min.css', 'style', '3.2.1');
		wp_enqueue_style(	'at_noti_styles_awesome');
		wp_register_style(	'at_noti_styles_back', 			plugin_dir_url(__FILE__).'css/at-noti-back.css', 'style', AT_NOTI_VERSION);
		wp_enqueue_style(	'at_noti_styles_back');
		wp_register_style(	'at_noti_tipsy_back', 			plugin_dir_url(__FILE__).'js/tipsy/tipsy.css', 'style', '1.0');
		wp_enqueue_style(	'at_noti_tipsy_back');
		wp_register_style(	'at_noti_jqui_back', 			plugin_dir_url(__FILE__).'css/jquery-ui.css', 'style', '1.0');
		wp_enqueue_style(	'at_noti_jqui_back');
		
		
		/* Scripts */
		wp_register_script(	'at_noti_script_dependencies', 	plugin_dir_url(__FILE__).'js/at-noti-dependencies.js', array('jquery', 'jquery-effects-core', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-mouse', 'jquery-ui-slider', 'jquery-ui-sortable', 'jquery-ui-draggable', 'jquery-ui-slider'), AT_NOTI_VERSION);
		wp_enqueue_script(	'at_noti_script_dependencies');
	
	
		if (function_exists('wp_enqueue_media')) { wp_enqueue_media(); }
		
		wp_register_script(	'at_noti_script_backend', 		plugin_dir_url(__FILE__).'js/at-noti-backend-options.js', array('at_noti_script_dependencies'), AT_NOTI_VERSION);
		wp_enqueue_script(	'at_noti_script_backend');
		wp_register_script(	'at_noti_tipsy_backend', 		plugin_dir_url(__FILE__).'js/tipsy/jquery.tipsy.js', array('at_noti_script_dependencies'), AT_NOTI_VERSION);
		wp_enqueue_script(	'at_noti_tipsy_backend');
		
		if (3.5 <= $wp_version){
			wp_enqueue_style('wp-color-picker');
			wp_enqueue_script('wp-color-picker');
		}
		else {
			wp_register_style(	'at_noti_iris', 			plugin_dir_url(__FILE__).'css/iris.min.css', 'style', '1.0');
			wp_enqueue_style(	'at_noti_iris');
			wp_register_script(	'at_noti_iris_js', 			plugin_dir_url(__FILE__).'js/iris.js', array('at_noti_script_dependencies'), AT_NOTI_VERSION);
			wp_enqueue_script(	'at_noti_iris_js');
		}
		
		/* Ace */
		wp_register_script(	'at_noti_script_ace', 			plugin_dir_url(__FILE__).'js/ace/ace/ace.js', array('at_noti_script_dependencies'));
		wp_enqueue_script(	'at_noti_script_ace');
		wp_register_script(	'at_noti_script_ace_theme', 	plugin_dir_url(__FILE__).'js/ace/ace/theme-crimson_editor.js', array('at_noti_script_ace'));
		wp_enqueue_script(	'at_noti_script_ace_theme');
		wp_register_script(	'at_noti_script_ace_css', 		plugin_dir_url(__FILE__).'js/ace/ace/mode-css.js', array('at_noti_script_ace'));
		wp_enqueue_script(	'at_noti_script_ace_css');
		wp_register_script(	'at_noti_script_ace_jq', 		plugin_dir_url(__FILE__).'js/ace/jquery-ace.js', array('at_noti_script_ace'));
		wp_enqueue_script(	'at_noti_script_ace_jq');
	}
}
add_action('admin_enqueue_scripts', 'at_noti_load_admin_scripts');

// Load scripts and styles for the front-end
function at_noti_load_frontend_scripts() {	
	/* Styles */
	wp_register_style(	'at_noti_styles_animate', 		plugin_dir_url(__FILE__).'css/animate.min.css', array(), AT_NOTI_VERSION);
	wp_enqueue_style(	'at_noti_styles_animate');
	wp_register_style(	'at_noti_styles_awesome', 		plugin_dir_url(__FILE__).'font-awesome/css/font-awesome.min.css', array(), '3.2.1');
	wp_enqueue_style(	'at_noti_styles_awesome');
	wp_register_style(	'at_noti_styles_front', 		plugin_dir_url(__FILE__).'css/at-noti.css', array(), AT_NOTI_VERSION);
	wp_enqueue_style(	'at_noti_styles_front');
	
	/* Scripts */
	wp_register_script(	'at_noti_script_dependencies', 	plugin_dir_url(__FILE__).'js/at-noti-dependencies.js', array('jquery', 'jquery-ui-sortable', 'jquery-ui-draggable'), AT_NOTI_VERSION);
	wp_enqueue_script(	'at_noti_script_dependencies');
	wp_register_script(	'at_noti_script_core', 			plugin_dir_url(__FILE__).'js/at-noti.js', array('at_noti_script_dependencies'), AT_NOTI_VERSION);
	wp_enqueue_script(	'at_noti_script_core');
	
}
add_action('wp_enqueue_scripts', 'at_noti_load_frontend_scripts');

include_once('includes/at-noti-front.php');
include_once('includes/at-noti-back.php');
include_once('includes/at-noti-widgets.php');

global $pagenow, $typenow;
if 	(
		(is_admin() && $pagenow=='edit.php' && $_GET['post_type']=='at_noti') || 
		(is_admin() && $pagenow=='admin.php' && $_GET['action']=='at_duplicate_post_save_as_new_post') ||
		(is_admin() && $pagenow=='admin.php' && $_GET['action']=='at_duplicate_post_save_as_new_post_draft')
	){
	include_once('includes/duplicate-post/duplicate-post.php');
}

// Autoupdate
include_once('includes/at-autoupdate.php');
function at_auto_update_init() {
	new at_auto_update(AT_NOTI_VERSION, 'http://repository.alchemythemes.com/at-noti/update.php', plugin_basename(__FILE__));
}
add_action('init', 'at_auto_update_init');



function at_parseColor($color) {
	if ( substr( $color, 0, 1 ) != "#" ) { $color = '#'.$color; }
	return $color;
}
?>