<?php
/* WIDGET AREAS */
function at_noti_load_widget_areas() {
	$args = array(
		'posts_per_page'  => 0,
		'numberposts'     => 0,
		'offset'          => 0,
		'orderby'         => 'post_date',
		'order'           => 'DESC',
		'post_type'       => 'at_noti',
		'post_status'     => 'publish',
		'suppress_filters' => 0
	);
	$alerts = get_posts($args);
	foreach($alerts as $alert) {
		$meta_tmp = get_post_meta($alert->ID, 'at_noti_options');
		$at_noti_options = $meta_tmp[0];
		foreach ($at_noti_options['layers'] as $layer) {
			if ($layer['layer_type'] == 'widget') {
				$args = array(
					'name'          => __('Nice Notifications Widget Area', AT_NOTI_LANG),
					'id'            => 'at_noti_sidebar_'.$alert->ID.'_'.$layer['id'],
					'description'   => 'Widget area '.$layer['layer_name'].' for alert '.$alert->post_title,
					'class'         => '',
					'before_widget' => '',
					'after_widget'  => '',
					'before_title'  => '',
					'after_title'   => '' 
				);
				register_sidebar($args);
			}
		}
	}
}
add_action('init', 'at_noti_load_widget_areas');

/* POST TYPE */
function at_noti_load_post_type() {
	$labels = array(
		'name' => 'Alerts',
		'singular_name' => 'A;ert',
		'add_new' => 'Add New',
		'add_new_item' => 'Add New Alert',
		'edit_item' => 'Edit Alert',
		'new_item' => 'New Alert',
		'all_items' => 'All Alerts',
		'view_item' => 'View Alert',
		'search_items' => 'Search Alerts',
		'not_found' =>  'No alerts found',
		'not_found_in_trash' => 'No alerts found in Trash', 
		'parent_item_colon' => '',
		'menu_name' => 'Nice Notifications'
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true, 
		'show_in_menu' => true, 
		'query_var' => true,
		'rewrite' => array( 'slug' => 'at_noti' ),
		'capability_type' => 'post',
		'has_archive' => true, 
		'hierarchical' => true,
		'menu_position' => null,
		'menu_icon' => plugin_dir_url(__FILE__).'../alchemytheme.png',
		'supports' => array('title', 'page-attributes')
	); 
	register_post_type('at_noti', $args);
}
add_action('init', 'at_noti_load_post_type');

function at_noti_add_alert_metabox() { add_meta_box('at_noti_alert_metabox', __('Notification Bar Options', AT_NOTI_LANG), 'at_noti_add_alert_inner_box', 'at_noti'); }
add_action('add_meta_boxes', 'at_noti_add_alert_metabox' );

function at_noti_add_alert_inner_box($post) {
	wp_nonce_field(plugin_basename( __FILE__ ), 'at_noti_noncename');
	
	$meta_tmp = get_post_meta($post->ID, 'at_noti_options');
	if (isset($meta_tmp[0])) {
		$at_noti_options = $meta_tmp[0];
	}
	else {
		$at_noti_options = array();
	}
	?>
    
    <ul class="general_tabs">
    	<li data-section="styling" class="selected">Styling</li>
        <li data-section="behavior">Behavior</li>
        <li data-section="advanced">Advanced</li>
    </ul>
    <div class="general_opts">
    	
        <div class="styling">
        	<div class="at_half at_noti_container">
            	<div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('All notification bars are always 100% wide, but here you can set the content area width and height. In the preview, the content area is shown with dotted borders.', AT_NOTI_LANG); ?>"></i> 
                        <?php echo __('Dimensions', AT_NOTI_LANG); ?>
                    </label> 
                    
                    <div class="at_dimension_sliders_block">
                        <span class="inline-label first"><?php echo __('Height', AT_NOTI_LANG); ?></span>
                        <div id="at_noti_options_alert_height_slider"></div>
                        <input class="tiny num_only" type="text" id="at_noti_options_alert_height" name="at_noti_options[alert_height]" value="<?php echo ((isset($at_noti_options['alert_height'])) ? $at_noti_options['alert_height'] : '100'); ?>" />
                        
                        <br /><br />
                        
                        <span class="inline-label first"><?php echo __('Width', AT_NOTI_LANG); ?></span>
                        <div id="at_noti_options_alert_width_slider"></div>
                        <input class="tiny num_only" type="text" id="at_noti_options_alert_width" name="at_noti_options[alert_width]" value="<?php echo ((isset($at_noti_options['alert_width'])) ? $at_noti_options['alert_width'] : '960'); ?>" /> 
                    </div>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Background color of the notification bar. If you want to use gradients you should use the CSS editor.', AT_NOTI_LANG); ?>"></i> 
                        <?php echo __('Background', AT_NOTI_LANG); ?>
                    </label>
                    <input class="color-picker" type="text" id="at_noti_options_bgcolor" name="at_noti_options[alert_bgcolor]" value="<?php echo ((isset($at_noti_options['alert_bgcolor'])) ? at_parseColor($at_noti_options['alert_bgcolor']) : '#FFFFFF'); ?>" />
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select wether the alert bar should display a shadow or not.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Border', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_border]" id="alert_border">
                        <option value="0" <?php echo ((isset($at_noti_options['alert_border']) && $at_noti_options['alert_border'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                        <option value="1" <?php echo ((isset($at_noti_options['alert_border']) && $at_noti_options['alert_border'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                    </select>
                    
                    <br />
                    <br />
                    
                    <div id="border_options">
                    
                        <div class="at_members_block">
                            <span class="inline-label first shadow-color-label"><?php echo __('Border color', AT_NOTI_LANG); ?></span>
                            <input class="color-picker" type="text" id="at_noti_options_border_color" name="at_noti_options[alert_border_color]" value="<?php echo ((isset($at_noti_options['alert_border_color'])) ? at_parseColor($at_noti_options['alert_border_color']) : '#000000'); ?>" />
    
                            <br />
                            
                            <span class="inline-label first solid"><?php echo __('Size', AT_NOTI_LANG); ?></span>
                            <div id="at_noti_options_alert_border_size"></div>
                            <input class="tiny num_only" type="text" id="at_noti_options_border_size" name="at_noti_options[alert_border_size]" value="<?php echo ((isset($at_noti_options['alert_border_size'])) ? $at_noti_options['alert_border_size'] : '0'); ?>" />
                                                
                        </div>
                    </div>
                </div>
                
                
            
            </div>
            <div class="at_half at_noti_container">
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select wether the alert bar should display a shadow or not.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Drop-shadow', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_drop_shadow]" id="alert_drop_shadow">
                        <option value="0" <?php echo ((isset($at_noti_options['alert_drop_shadow']) && $at_noti_options['alert_drop_shadow'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                        <option value="1" <?php echo ((isset($at_noti_options['alert_drop_shadow']) && $at_noti_options['alert_drop_shadow'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                    </select>
                    
                    <br /><br />
                    
                     <div id="drop_shadow_options">
                        
                        <div class="at_members_block">
                            <span class="inline-label first shadow-color-label"><?php echo __('Shadow color', AT_NOTI_LANG); ?></span>
                            <input class="color-picker" type="text" id="at_noti_options_drop_shadow_color" name="at_noti_options[alert_drop_shadow_color]" value="<?php echo ((isset($at_noti_options['alert_drop_shadow_color'])) ? at_parseColor($at_noti_options['alert_drop_shadow_color']) : '#000000'); ?>" />
    
                            <br />
                            
                            <span class="inline-label first solid"><?php echo __('Blur', AT_NOTI_LANG); ?></span>
                            <div id="at_noti_options_alert_drop_shadow_blur_slider"></div>
                            <input class="tiny num_only" type="text" id="at_noti_options_drop_shadow_blur" name="at_noti_options[alert_drop_shadow_blur]" value="<?php echo ((isset($at_noti_options['alert_drop_shadow_blur'])) ? $at_noti_options['alert_drop_shadow_blur'] : '3'); ?>" />
                            
                            <br /><br />
                            
                            <span class="inline-label first solid"><?php echo __('Spread', AT_NOTI_LANG); ?></span>
                            <div id="at_noti_options_alert_drop_shadow_spread_slider"></div>
                            <input class="tiny num_only" type="text" id="at_noti_options_drop_shadow_spread" name="at_noti_options[alert_drop_shadow_spread]" value="<?php echo ((isset($at_noti_options['alert_drop_shadow_spread'])) ? $at_noti_options['alert_drop_shadow_spread'] : '3'); ?>" /> 
                        
                        </div>
                    </div>
                    
                </div>
                
               
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Show an X button on the right side to close the notification bar.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Close button', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_close_btn]" id="at_noti_options_alert_close_btn">
                        <option value="1" <?php echo ((isset($at_noti_options['alert_close_btn']) && $at_noti_options['alert_close_btn'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                        <option value="0" <?php echo ((isset($at_noti_options['alert_close_btn']) && $at_noti_options['alert_close_btn'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                    </select>
                    <span class="inline-label"><?php echo __('Style', AT_NOTI_LANG); ?>:</span>
                    <select name="at_noti_options[alert_close_btn_style]" id="at_noti_options_alert_close_btn_style">
                        <option value="icon-remove" <?php echo ((isset($at_noti_options['alert_close_btn_style']) && $at_noti_options['alert_close_btn_style'] == 'icon-remove') ? 'selected="selected"' : ''); ?>>icon-remove</option>
                        <option value="icon-remove-circle" <?php echo ((isset($at_noti_options['alert_close_btn_style']) && $at_noti_options['alert_close_btn_style'] == 'icon-remove-circle') ? 'selected="selected"' : ''); ?>>icon-remove-circle</option>
                        <option value="icon-remove-sign" <?php echo ((isset($at_noti_options['alert_close_btn_style']) && $at_noti_options['alert_close_btn_style'] == 'icon-remove-sign') ? 'selected="selected"' : ''); ?>>icon-remove-sign</option>
                    </select>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Color for the close button.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Close button color', AT_NOTI_LANG); ?>
                    </label>
                    <input id="at_noti_options_alert_close_btn_color" class="color-picker" type="text" name="at_noti_options[alert_close_btn_color]" value="<?php echo ((isset($at_noti_options['alert_close_btn_color'])) ? at_parseColor($at_noti_options['alert_close_btn_color']) : '#FFFFFF'); ?>" /><br />
                </div>
                
            </div>
        </div>
        
        <div class="behavior" style="display:none;">
        	<div class="at_half at_noti_container">
            
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Position where you want your notification area to be displayed. Top of page will move all your page\'s content down to make place for the notification bar. Float on top and float on bottom will paste the notification bar to top and botton respectively.', AT_NOTI_LANG); ?>"></i> 
                        <?php echo __('Position', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_position]">
                        <option value="bodyTop" <?php echo ((isset($at_noti_options['alert_position']) && $at_noti_options['alert_position'] == 'bodyTop') ? 'selected="selected"' : ''); ?>><?php echo __('Top of the page (inside body)', AT_NOTI_LANG); ?></option>
                        <option value="floatTop" <?php echo ((isset($at_noti_options['alert_position']) && $at_noti_options['alert_position'] == 'floatTop') ? 'selected="selected"' : ''); ?>><?php echo __('Float on top', AT_NOTI_LANG); ?></option>
                        <option value="floatBottom" <?php echo ((isset($at_noti_options['alert_position']) && $at_noti_options['alert_position'] == 'floatBottom') ? 'selected="selected"' : ''); ?>><?php echo __('Float on bottom', AT_NOTI_LANG); ?></option>
                    </select>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select on what pages the notification bar will be shown.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Display', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_display]">
                        <option value="all" <?php echo ((isset($at_noti_options['alert_display']) && $at_noti_options['alert_display'] == 'all') ? 'selected="selected"' : ''); ?>><?php echo __('All pages &amp; posts', AT_NOTI_LANG); ?></option>
                        <option value="all_pages" <?php echo ((isset($at_noti_options['alert_display']) && $at_noti_options['alert_display'] == 'all_pages') ? 'selected="selected"' : ''); ?>><?php echo __('All pages', AT_NOTI_LANG); ?></option>
                        <option value="all_posts" <?php echo ((isset($at_noti_options['alert_display']) && $at_noti_options['alert_display'] == 'all_posts') ? 'selected="selected"' : ''); ?>><?php echo __('All posts', AT_NOTI_LANG); ?></option>
                        <option value="home" <?php echo ((isset($at_noti_options['alert_display']) && $at_noti_options['alert_display'] == 'home') ? 'selected="selected"' : ''); ?>><?php echo __('Homepage only', AT_NOTI_LANG); ?></option>
                        <option value="trigger" <?php echo ((isset($at_noti_options['alert_display']) && $at_noti_options['alert_display'] == 'trigger') ? 'selected="selected"' : ''); ?>><?php echo __('Only on selected pages', AT_NOTI_LANG); ?></option>
                    </select><br />
                    <!-- <label>&nbsp;</label><span class="notice">Trigger can include certain pages (set from page edit), certain posts (set from post edit) or shortcode <strong>[trigger_at_noti id="<?php echo $post->ID; ?>"]</strong> to trigger while scrolling.</span> -->
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select what type of user will be displayed the notification bar.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Visible to', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_visible_to]" id="alert_visible_to">
                        <option value="0" <?php echo ((isset($at_noti_options['alert_visible_to']) && $at_noti_options['alert_visible_to'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('Anyone', AT_NOTI_LANG); ?></option>
                        <option value="1" <?php echo ((isset($at_noti_options['alert_visible_to']) && $at_noti_options['alert_visible_to'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Members', AT_NOTI_LANG); ?></option>
                        <option value="2" <?php echo ((isset($at_noti_options['alert_visible_to']) && $at_noti_options['alert_visible_to'] == '2') ? 'selected="selected"' : ''); ?>><?php echo __('Non-members', AT_NOTI_LANG); ?></option>
                    </select>
                </div>
                
                <div class="row" id="visible_to_roles">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('If the notification bar is going to be shown to logged-in members, you can filter what level of user will see it.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('What members?', AT_NOTI_LANG); ?>
                    </label>
                    <div class="at_members_block">
                    <?php
                    global $wp_roles;
                    foreach($wp_roles->roles as $k => $r) {
                        ?>
                        <input type="checkbox" name="at_noti_options[alert_visible_roles][<?php echo $k; ?>]" <?php echo ((isset($at_noti_options['alert_visible_roles'][$k]) && $at_noti_options['alert_visible_roles'][$k] == 'on') ? 'checked="checked"' : ''); ?> /> <span><?php echo $r['name']; ?></span><br />
                        <?php
                    }
                    ?>
                    </div>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Remember wether the visitor closed the notification bar or not. If set to YES, once the visitor closes the notification bar, it won\'t be shown again even if page is refreshed.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Remember: ', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_close_remember]">
                        <option value="0" <?php echo ((isset($at_noti_options['alert_close_remember']) && $at_noti_options['alert_close_remember'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                        <option value="1" <?php echo ((isset($at_noti_options['alert_close_remember']) && $at_noti_options['alert_close_remember'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                    </select> <span class="inline-label first">( <?php echo __('requires cookies', AT_NOTI_LANG); ?> )</span>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('A tag will be shown when you close a notification bar, allowing you to re-open the notification bar.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Open toggle', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_reopen_btn]" id="at_noti_options_alert_reopen_btn">
                        <option value="1" <?php echo ((isset($at_noti_options['alert_reopen_btn']) && $at_noti_options['alert_reopen_btn'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                        <option value="0" <?php echo ((isset($at_noti_options['alert_reopen_btn']) && $at_noti_options['alert_reopen_btn'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                    </select>
                </div>
                
            </div>
            <div class="at_half at_noti_container">
            
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select the animation to use when the notification bar is loaded.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Entrance animation', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_entrance_anim]">
                        <option value="fadeIn" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeIn') ? 'selected="selected"' : ''); ?>>fadeIn</option>
                        <option value="fadeInUp" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInUp') ? 'selected="selected"' : ''); ?>>fadeInUp</option>
                        <option value="fadeInDown" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInDown') ? 'selected="selected"' : ''); ?>>fadeInDown</option>
                        <option value="fadeInLeft" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInLeft') ? 'selected="selected"' : ''); ?>>fadeInLeft</option>
                        <option value="fadeInRight" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInRight') ? 'selected="selected"' : ''); ?>>fadeInRight</option>
                        <option value="fadeInUpBig" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInUpBig') ? 'selected="selected"' : ''); ?>>fadeInUpBig</option>
                        <option value="fadeInDownBig" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInDownBig') ? 'selected="selected"' : ''); ?>>fadeInDownBig</option>
                        <option value="fadeInLeftBig" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInLeftBig') ? 'selected="selected"' : ''); ?>>fadeInLeftBig</option>
                        <option value="fadeInRightBig" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'fadeInRightBig') ? 'selected="selected"' : ''); ?>>fadeInRightBig</option>
                        <option value="bounceIn" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'bounceIn') ? 'selected="selected"' : ''); ?>>bounceIn</option>
                        <option value="bounceInDown" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'bounceInDown') ? 'selected="selected"' : ''); ?>>bounceInDown</option>
                        <option value="bounceInUp" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'bounceInUp') ? 'selected="selected"' : ''); ?>>bounceInUp</option>
                        <option value="bounceInLeft" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'bounceInLeft') ? 'selected="selected"' : ''); ?>>bounceInLeft</option>
                        <option value="bounceInRight" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'bounceInRight') ? 'selected="selected"' : ''); ?>>bounceInRight</option>
                        <option value="rotateIn" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'rotateIn') ? 'selected="selected"' : ''); ?>>rotateIn</option>
                        <option value="rotateInDownLeft" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'rotateInDownLeft') ? 'selected="selected"' : ''); ?>>rotateInDownLeft</option>
                        <option value="rotateInDownRight" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'rotateInDownRight') ? 'selected="selected"' : ''); ?>>rotateInDownRight</option>
                        <option value="rotateInUpLeft" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'rotateInUpLeft') ? 'selected="selected"' : ''); ?>>rotateInUpLeft</option>
                        <option value="rotateInUpRight" <?php echo ((isset($at_noti_options['alert_entrance_anim']) && $at_noti_options['alert_entrance_anim'] == 'rotateInUpRight') ? 'selected="selected"' : ''); ?>>rotateInUpRight</option>
                    </select><br /><br />
                    <div class="at_members_block">
                        <span class="inline-label first"><?php echo __('Delay', AT_NOTI_LANG); ?></span>
                        <input class="num_only tiny" type="text" name="at_noti_options[alert_entrance_delay_timeout]" value="<?php echo ((isset($at_noti_options['alert_entrance_delay_timeout'])) ? $at_noti_options['alert_entrance_delay_timeout'] : '0'); ?>" /> ms
                    </div>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select the animation to use when the notification bar is unloaded.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Exit animation', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_exit_anim]">
                        <option value="fadeOut" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOut') ? 'selected="selected"' : ''); ?>>fadeOut</option>
                        <option value="fadeOutUp" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutUp') ? 'selected="selected"' : ''); ?>>fadeOutUp</option>
                        <option value="fadeOutDown" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutDown') ? 'selected="selected"' : ''); ?>>fadeOutDown</option>
                        <option value="fadeOutLeft" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutLeft') ? 'selected="selected"' : ''); ?>>fadeOutLeft</option>
                        <option value="fadeOutRight" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutRight') ? 'selected="selected"' : ''); ?>>fadeOutRight</option>
                        <option value="fadeOutUpBig" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutUpBig') ? 'selected="selected"' : ''); ?>>fadeOutUpBig</option>
                        <option value="fadeOutDownBig" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutDownBig') ? 'selected="selected"' : ''); ?>>fadeOutDownBig</option>
                        <option value="fadeOutLeftBig" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutLeftBig') ? 'selected="selected"' : ''); ?>>fadeOutLeftBig</option>
                        <option value="fadeOutRightBig" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'fadeOutRightBig') ? 'selected="selected"' : ''); ?>>fadeOutRightBig</option>
                        <option value="bounceOut" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'bounceOut') ? 'selected="selected"' : ''); ?>>bounceOut</option>
                        <option value="bounceOutDown" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'bounceOutDown') ? 'selected="selected"' : ''); ?>>bounceOutDown</option>
                        <option value="bounceOutUp" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'bounceOutUp') ? 'selected="selected"' : ''); ?>>bounceOutUp</option>
                        <option value="bounceOutLeft" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'bounceOutLeft') ? 'selected="selected"' : ''); ?>>bounceOutLeft</option>
                        <option value="bounceOutRight" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'bounceOutRight') ? 'selected="selected"' : ''); ?>>bounceOutRight</option>
                        <option value="rotateOut" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'rotateOut') ? 'selected="selected"' : ''); ?>>rotateOut</option>
                        <option value="rotateOutDownLeft" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'rotateOutDownLeft') ? 'selected="selected"' : ''); ?>>rotateOutDownLeft</option>
                        <option value="rotateOutDownRight" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'rotateOutDownRight') ? 'selected="selected"' : ''); ?>>rotateOutDownRight</option>
                        <option value="rotateOutUpLeft" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'rotateOutUpLeft') ? 'selected="selected"' : ''); ?>>rotateOutUpLeft</option>
                        <option value="rotateOutUpRight" <?php echo ((isset($at_noti_options['alert_exit_anim']) && $at_noti_options['alert_exit_anim'] == 'rotateOutUpRight') ? 'selected="selected"' : ''); ?>>rotateOutUpRight</option>
                    </select>
                </div>
                
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select the event that will trigger the unload of the notification bar.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Exit when...', AT_NOTI_LANG); ?>
                    </label>
                    <select name="at_noti_options[alert_exit_delay_type]">
                        <option value="onClose" <?php echo ((isset($at_noti_options['alert_exit_delay_type']) && $at_noti_options['alert_exit_delay_type'] == 'onClose') ? 'selected="selected"' : ''); ?>><?php echo __('When close button is clicked', AT_NOTI_LANG); ?></option>
                        <option value="onTimeout" <?php echo ((isset($at_noti_options['alert_exit_delay_type']) && $at_noti_options['alert_exit_delay_type'] == 'onTimeout') ? 'selected="selected"' : ''); ?>><?php echo __('Automatically after ... miliseconds', AT_NOTI_LANG); ?></option>
                    </select><br /><br />
                    <div class="at_members_block">
                        <span class="inline-label first"><?php echo __('Delay', AT_NOTI_LANG); ?></span>
                        <input class="num_only tiny" type="text" name="at_noti_options[alert_exit_delay_timeout]" value="<?php echo ((isset($at_noti_options['alert_exit_delay_timeout'])) ? $at_noti_options['alert_exit_delay_timeout'] : '0'); ?>" /> ms
                    </div>
                </div>
                
            </div>
        </div>
        
        <div class="advanced" style="display:none;">
        
        	<div class="at_half at_noti_container">
            
            	<div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Select a custom CSS class you want to include to your notification bar.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('Custom class', AT_NOTI_LANG); ?>
                    </label>
                    <input type="text" id="at_noti_options_class" name="at_noti_options[alert_class]" value="<?php echo ((isset($at_noti_options['alert_class'])) ? $at_noti_options['alert_class'] : ''); ?>" />
                </div>
                
            </div>
            
            <div class="at_half at_noti_container">
            
                <div class="row">
                    <label class="text_bold">
                        <i class="icon-question-sign at_help_icon at_noti_tipsy" rel="tipsy" title="<?php echo __('Add your CSS code directly.', AT_NOTI_LANG); ?>"></i>
                        <?php echo __('CSS Styles', AT_NOTI_LANG); ?>
                    </label>
                    <span class="button button-primary" id="at_alert_css_styles"><?php echo __('Edit CSS', AT_NOTI_LANG); ?></span>
                </div>
                
            </div>

            
        </div>
        
        <div class="at_alert_styles_block">
<?php
$defaultCSSrules = '/* 
Nice Notifications custom CSS Rules for alert ID#'.$post->ID.'
If you copy/paste some CSS from one Nice Notification alert to another, remember to change the ID number from the #at_noti_wrapper_XXX rule. 
*/

#at_noti_wrapper_'.$post->ID.' {
	/* Alert block (default: full width , floating on top) */
	
}

#at_noti_wrapper_'.$post->ID.' .at_noti_container {
	/* Alert container (default: 960px inside the Alert Block) */
	
}';
?>
                <textarea rows="4" style="width: 100%" class="at_css_editor" id="at_noti_options_cssstyle" name="at_noti_options[alert_cssstyle]"><?php echo (($at_noti_options['alert_cssstyle']) ? $at_noti_options['alert_cssstyle'] : $defaultCSSrules); ?></textarea>
                <div class="at_clear"></div>
                <div class="at_save_button_container">
                    <span class="button button-primary" id="at_alert_css_styles_save"><?php echo __('Save changes', AT_NOTI_LANG); ?></span>
                </div>
                <div class="at_clear"></div>
            </div>
        
    </div>
    
    <div class="at_clear"></div>
 </div></div>
 
 <script language="javascript" type="text/javascript">
	var at_lang = {
		'layer_type'		: '<?php echo addslashes(__('Layer type', 								AT_NOTI_LANG)); ?>',
		'visible_invisible'	: '<?php echo addslashes(__('Set layer visible / invisible', 			AT_NOTI_LANG)); ?>',
		'caption'			: '<?php echo addslashes(__('Caption', 									AT_NOTI_LANG)); ?>',
		'icon'				: '<?php echo addslashes(__('Icon', 									AT_NOTI_LANG)); ?>',
		'image'				: '<?php echo addslashes(__('Image', 									AT_NOTI_LANG)); ?>',
		'button'			: '<?php echo addslashes(__('Button', 									AT_NOTI_LANG)); ?>',
		'widget_area'		: '<?php echo addslashes(__('Widget area', 								AT_NOTI_LANG)); ?>',
		'new_caption'		: '<?php echo addslashes(__('New caption', 								AT_NOTI_LANG)); ?>',
		'may_use_html'		: '<?php echo addslashes(__('You may use shortcodes and HTML code.', 	AT_NOTI_LANG)); ?>',
		'button_text'		: '<?php echo addslashes(__('Button Text', 								AT_NOTI_LANG)); ?>',
		'click_me'			: '<?php echo addslashes(__('Click me!', 								AT_NOTI_LANG)); ?>',
		'font'				: '<?php echo addslashes(__('Font', 									AT_NOTI_LANG)); ?>',
		'size'				: '<?php echo addslashes(__('Size', 									AT_NOTI_LANG)); ?>',
		'color'				: '<?php echo addslashes(__('Color', 									AT_NOTI_LANG)); ?>',
		'background'		: '<?php echo addslashes(__('Background', 								AT_NOTI_LANG)); ?>',
		'line_height'		: '<?php echo addslashes(__('Line height', 								AT_NOTI_LANG)); ?>',
		'width'				: '<?php echo addslashes(__('Width', 									AT_NOTI_LANG)); ?>',
		'height'			: '<?php echo addslashes(__('Height', 									AT_NOTI_LANG)); ?>',
		'padding'			: '<?php echo addslashes(__('Padding', 									AT_NOTI_LANG)); ?>',
		'border_radius'		: '<?php echo addslashes(__('Border Radius', 							AT_NOTI_LANG)); ?>',
		'link'				: '<?php echo addslashes(__('Link', 									AT_NOTI_LANG)); ?>',
		'link_url'			: '<?php echo addslashes(__('Link URL', 								AT_NOTI_LANG)); ?>',
		'yes'				: '<?php echo addslashes(__('Yes', 										AT_NOTI_LANG)); ?>',
		'no'				: '<?php echo addslashes(__('No', 										AT_NOTI_LANG)); ?>',
		'load_animation'	: '<?php echo addslashes(__('Load animation', 							AT_NOTI_LANG)); ?>',
		'unload_animation'	: '<?php echo addslashes(__('Unload animation', 						AT_NOTI_LANG)); ?>',
		'delay'				: '<?php echo addslashes(__('Delay', 									AT_NOTI_LANG)); ?>',
		'speed'				: '<?php echo addslashes(__('Speed', 									AT_NOTI_LANG)); ?>',
		'alignment'			: '<?php echo addslashes(__('Alignment', 								AT_NOTI_LANG)); ?>',
		'from_left'			: '<?php echo addslashes(__('Align from the Left', 						AT_NOTI_LANG)); ?>',
		'from_right'		: '<?php echo addslashes(__('Align from the Left', 						AT_NOTI_LANG)); ?>',
		'position_x'		: '<?php echo addslashes(__('Position X', 								AT_NOTI_LANG)); ?>',
		'position_y'		: '<?php echo addslashes(__('Position Y', 								AT_NOTI_LANG)); ?>',
		'z_index'			: '<?php echo addslashes(__('Z-Index', 									AT_NOTI_LANG)); ?>',
		'custom_class'		: '<?php echo addslashes(__('Custom Class', 							AT_NOTI_LANG)); ?>',
		'inline_styles'		: '<?php echo addslashes(__('Inline Styles', 							AT_NOTI_LANG)); ?>'
	};
</script>

 <div>
 	<!-- ALERT PREVIEW -->
    <h1 class="at_noti_alert_designer_heading"><?php echo __('Alert Designer', AT_NOTI_LANG); ?></h1>
    <div id="at_noti_alert_metabox" class="at_noti_alert_metabox_layerlist">
    
   	<div id="at_noti_alert_designer_floater">
        <div class="row">
            <div id="at_noti_preview">
            	<div id="at_noti_preview_close_btn"><i class="icon-remove"></i></div>
                <div id="at_noti_preview_content">
                    <?php 
						$i = 0; 
						if (isset($at_noti_options['layers'])) { 
							foreach ($at_noti_options['layers'] as $layer) { 
								at_noti_add_layer_element_to_preview($i++, $layer); 
							} 
						}
						else {
							at_noti_add_layer_element_to_preview(); 
						}
					?>
                    
                </div>
            </div>
        </div>
        
        <div class="row at_noti_container">
            <span id="at_noti_add_icon" class="button button-primary"><i class="icon-plus"></i> <?php echo __('New Layer', AT_NOTI_LANG); ?></span>
            <span id="at_noti_preview_button" class="button button-primary at_noti_float_right"><i class="icon-refresh"></i> <?php echo __('Refresh static preview', AT_NOTI_LANG); ?></span>
        </div>
    </div>
    <!-- / ALERT PREVIEW -->
    
    <!-- LAYERS -->
    <div class="at_sortables" id="at_layers_list_block">
    <?php
	$i = 0;
	if (isset($at_noti_options['layers'])) {
		foreach ($at_noti_options['layers'] as $layer) {
			at_noti_add_layer_element_to_metabox($i++, $layer);
		}
	}
	else {
		at_noti_add_layer_element_to_metabox();
	}
	?>
    </div>
    <?php
}

function at_noti_add_layer_element_to_preview($id = 0, $at_noti_options = array()) {
	?>
    <span class="at_noti_preview_layer" id="at_noti_preview_layer_<?php echo $id; ?>" style="font-size: <?php echo ((isset($at_noti_options['alert_layer_size'])) ? $at_noti_options['alert_layer_size'] : '30'); ?>px; color: <?php echo ((isset($at_noti_options['alert_layer_color'])) ? at_parseColor($at_noti_options['alert_layer_color']) : '#000000'); ?>; left: <?php echo ((isset($at_noti_options['alert_layer_x'])) ? $at_noti_options['alert_layer_x'] : '0'); ?>px; top: <?php echo ((isset($at_noti_options['alert_layer_y'])) ? $at_noti_options['alert_layer_y'] : '0'); ?>px;">
    </span>
    <?php
}

function at_noti_add_layer_element_to_metabox($id = 0, $at_noti_options = array()) {
	?>
    <div class="row layer_row at_noti_container" id="at_layer_row_<?php echo $id; ?>">
    	<input type="hidden"  class="at_noti_options_layer_id" name="at_noti_options[layers][<?php echo $id; ?>][id]" id="at_noti_options_layer_id_<?php echo $id; ?>" value="<?php echo $id; ?>" />

		<!-- HEADING -->
        <div class="at_noti_layer_row_heading">

            <span class="at_noti_options_layer_name_caption"><?php echo ((isset($at_noti_options['layer_name'])) ? $at_noti_options['layer_name'] : 'Layer #'.$id); ?></span>
            <input type="text"  class="at_noti_options_layer_name" name="at_noti_options[layers][<?php echo $id; ?>][layer_name]" id="at_noti_options_layer_name_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['layer_name'])) ? $at_noti_options['layer_name'] : 'Layer #'.$id); ?>" />
            
            <span class="inline-label"><?php echo __('Layer type', AT_NOTI_LANG); ?></span>
            <select class="at_noti_options_layer_type" name="at_noti_options[layers][<?php echo $id; ?>][layer_type]" id="at_noti_options_layer_type_<?php echo $id; ?>">
                <option value="caption" <?php echo ((isset($at_noti_options['layer_type']) && $at_noti_options['layer_type'] == 'caption') ? 'selected="selected"' : ''); ?>><?php echo __('Caption', AT_NOTI_LANG); ?></option>
                <option value="icon" <?php echo ((isset($at_noti_options['layer_type']) && $at_noti_options['layer_type'] == 'icon') ? 'selected="selected"' : ''); ?>><?php echo __('Icon', AT_NOTI_LANG); ?></option>
                <option value="image" <?php echo ((isset($at_noti_options['layer_type']) && $at_noti_options['layer_type'] == 'image') ? 'selected="selected"' : ''); ?>><?php echo __('Image', AT_NOTI_LANG); ?></option>
                <option value="button" <?php echo ((isset($at_noti_options['layer_type']) && $at_noti_options['layer_type'] == 'button') ? 'selected="selected"' : ''); ?>><?php echo __('Button', AT_NOTI_LANG); ?></option>
                <option value="widget" <?php echo ((isset($at_noti_options['layer_type']) && $at_noti_options['layer_type'] == 'widget') ? 'selected="selected"' : ''); ?>><?php echo __('Widget area', AT_NOTI_LANG); ?></option>
            </select>
            
            
            <span class="button button-primary button-large at_noti_delete_layer_row at_noti_float_right" id="delete_button_layer_<?php echo $id; ?>"><i class="icon-remove"></i></span>
            <span class="button button-primary button-large at_noti_expand_layer_row at_noti_float_right" id="expand_button_layer_<?php echo $id; ?>"><i class="icon-chevron-down"></i></span>
            <span class="at_noti_float_right at_noti_hide_layer visible"><i class="icon-eye-open" title="<?php echo __('Set layer visible / invisible', AT_NOTI_LANG); ?>"></i></span>

        </div>
        <!-- / HEADING -->
        
        <!-- <div class="at_clear"></div> -->
        
        <div class="at_noti_layer_row_content">
            <div class="at_third">
                
                <!-- CAPTION -->
                <div class="row 	at_noti_filter_caption">
                    <label class="text_bold"><?php echo __('Caption', AT_NOTI_LANG); ?></label>
                    <textarea class="at_noti_options_layer_text" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_text]" id="at_noti_options_layer_text_<?php echo $id; ?>"><?php echo ((isset($at_noti_options['alert_layer_text'])) ? $at_noti_options['alert_layer_text'] : __('New caption', AT_NOTI_LANG)); ?></textarea>
                    <div class="at_clear"></div>
                    <br />
                    <label>&nbsp;</label><span class="notice" style="margin-top:30px;"><?php echo __('You may use shortcodes and HTML code.', AT_NOTI_LANG); ?></span>
                </div>
                
                <!-- ICON -->
                <div class="row 	at_noti_filter_icon">
                    <label class="text_bold"><?php echo __('Icon', AT_NOTI_LANG); ?></label>
                    <select id="at_noti_options_alert_icon_<?php echo $id; ?>" class="at_noti_options_alert_icon at_noti_filter_icon" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon]">
                        <option value="icon-glass" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-glass') ? 'selected="selected"' : ''); ?>>icon-glass</option>
                        <option value="icon-music" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-music') ? 'selected="selected"' : ''); ?>>icon-music</option>
                        <option value="icon-search" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-search') ? 'selected="selected"' : ''); ?>>icon-search</option>
                        <option value="icon-envelope-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-envelope-alt') ? 'selected="selected"' : ''); ?>>icon-envelope-alt</option>
                        <option value="icon-heart" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-heart') ? 'selected="selected"' : ''); ?>>icon-heart</option>
                        <option value="icon-star" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-star') ? 'selected="selected"' : ''); ?>>icon-star</option>
                        <option value="icon-star-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-star-empty') ? 'selected="selected"' : ''); ?>>icon-star-empty</option>
                        <option value="icon-user" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-user') ? 'selected="selected"' : ''); ?>>icon-user</option>
                        <option value="icon-film" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-film') ? 'selected="selected"' : ''); ?>>icon-film</option>
                        <option value="icon-th-large" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-th-large') ? 'selected="selected"' : ''); ?>>icon-th-large</option>
                        <option value="icon-th" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-th') ? 'selected="selected"' : ''); ?>>icon-th</option>
                        <option value="icon-th-list" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-th-list') ? 'selected="selected"' : ''); ?>>icon-th-list</option>
                        <option value="icon-ok" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ok') ? 'selected="selected"' : ''); ?>>icon-ok</option>
                        <option value="icon-remove" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-remove') ? 'selected="selected"' : ''); ?>>icon-remove</option>
                        <option value="icon-zoom-in" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-zoom-in') ? 'selected="selected"' : ''); ?>>icon-zoom-in</option>
                        <option value="icon-zoom-out" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-zoom-out') ? 'selected="selected"' : ''); ?>>icon-zoom-out</option>
                        <option value="icon-power-off" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-power-off') ? 'selected="selected"' : ''); ?>>icon-power-off</option>
                        <option value="icon-off" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-off') ? 'selected="selected"' : ''); ?>>icon-off</option>
                        <option value="icon-signal" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-signal') ? 'selected="selected"' : ''); ?>>icon-signal</option>
                        <option value="icon-cog" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cog') ? 'selected="selected"' : ''); ?>>icon-cog</option>
                        <option value="icon-trash" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-trash') ? 'selected="selected"' : ''); ?>>icon-trash</option>
                        <option value="icon-home" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-home') ? 'selected="selected"' : ''); ?>>icon-home</option>
                        <option value="icon-file-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-file-alt') ? 'selected="selected"' : ''); ?>>icon-file-alt</option>
                        <option value="icon-time" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-time') ? 'selected="selected"' : ''); ?>>icon-time</option>
                        <option value="icon-road" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-road') ? 'selected="selected"' : ''); ?>>icon-road</option>
                        <option value="icon-download-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-download-alt') ? 'selected="selected"' : ''); ?>>icon-download-alt</option>
                        <option value="icon-download" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-download') ? 'selected="selected"' : ''); ?>>icon-download</option>
                        <option value="icon-upload" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-upload') ? 'selected="selected"' : ''); ?>>icon-upload</option>
                        <option value="icon-inbox" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-inbox') ? 'selected="selected"' : ''); ?>>icon-inbox</option>
                        <option value="icon-play-circle" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-play-circle') ? 'selected="selected"' : ''); ?>>icon-play-circle</option>
                        <option value="icon-rotate-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rotate-right') ? 'selected="selected"' : ''); ?>>icon-rotate-right</option>
                        <option value="icon-repeat" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-repeat') ? 'selected="selected"' : ''); ?>>icon-repeat</option>
                        <option value="icon-refresh" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-refresh') ? 'selected="selected"' : ''); ?>>icon-refresh</option>
                        <option value="icon-list-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-list-alt') ? 'selected="selected"' : ''); ?>>icon-list-alt</option>
                        <option value="icon-lock" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-lock') ? 'selected="selected"' : ''); ?>>icon-lock</option>
                        <option value="icon-flag" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-flag') ? 'selected="selected"' : ''); ?>>icon-flag</option>
                        <option value="icon-headphones" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-headphones') ? 'selected="selected"' : ''); ?>>icon-headphones</option>
                        <option value="icon-volume-off" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-volume-off') ? 'selected="selected"' : ''); ?>>icon-volume-off</option>
                        <option value="icon-volume-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-volume-down') ? 'selected="selected"' : ''); ?>>icon-volume-down</option>
                        <option value="icon-volume-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-volume-up') ? 'selected="selected"' : ''); ?>>icon-volume-up</option>
                        <option value="icon-qrcode" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-qrcode') ? 'selected="selected"' : ''); ?>>icon-qrcode</option>
                        <option value="icon-barcode" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-barcode') ? 'selected="selected"' : ''); ?>>icon-barcode</option>
                        <option value="icon-tag" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tag') ? 'selected="selected"' : ''); ?>>icon-tag</option>
                        <option value="icon-tags" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tags') ? 'selected="selected"' : ''); ?>>icon-tags</option>
                        <option value="icon-book" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-book') ? 'selected="selected"' : ''); ?>>icon-book</option>
                        <option value="icon-bookmark" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bookmark') ? 'selected="selected"' : ''); ?>>icon-bookmark</option>
                        <option value="icon-print" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-print') ? 'selected="selected"' : ''); ?>>icon-print</option>
                        <option value="icon-camera" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-camera') ? 'selected="selected"' : ''); ?>>icon-camera</option>
                        <option value="icon-font" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-font') ? 'selected="selected"' : ''); ?>>icon-font</option>
                        <option value="icon-bold" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bold') ? 'selected="selected"' : ''); ?>>icon-bold</option>
                        <option value="icon-italic" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-italic') ? 'selected="selected"' : ''); ?>>icon-italic</option>
                        <option value="icon-text-height" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-text-height') ? 'selected="selected"' : ''); ?>>icon-text-height</option>
                        <option value="icon-text-width" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-text-width') ? 'selected="selected"' : ''); ?>>icon-text-width</option>
                        <option value="icon-align-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-align-left') ? 'selected="selected"' : ''); ?>>icon-align-left</option>
                        <option value="icon-align-center" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-align-center') ? 'selected="selected"' : ''); ?>>icon-align-center</option>
                        <option value="icon-align-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-align-right') ? 'selected="selected"' : ''); ?>>icon-align-right</option>
                        <option value="icon-align-justify" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-align-justify') ? 'selected="selected"' : ''); ?>>icon-align-justify</option>
                        <option value="icon-list" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-list') ? 'selected="selected"' : ''); ?>>icon-list</option>
                        <option value="icon-indent-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-indent-left') ? 'selected="selected"' : ''); ?>>icon-indent-left</option>
                        <option value="icon-indent-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-indent-right') ? 'selected="selected"' : ''); ?>>icon-indent-right</option>
                        <option value="icon-facetime-video" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-facetime-video') ? 'selected="selected"' : ''); ?>>icon-facetime-video</option>
                        <option value="icon-picture" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-picture') ? 'selected="selected"' : ''); ?>>icon-picture</option>
                        <option value="icon-pencil" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-pencil') ? 'selected="selected"' : ''); ?>>icon-pencil</option>
                        <option value="icon-map-marker" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-map-marker') ? 'selected="selected"' : ''); ?>>icon-map-marker</option>
                        <option value="icon-adjust" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-adjust') ? 'selected="selected"' : ''); ?>>icon-adjust</option>
                        <option value="icon-tint" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tint') ? 'selected="selected"' : ''); ?>>icon-tint</option>
                        <option value="icon-edit" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-edit') ? 'selected="selected"' : ''); ?>>icon-edit</option>
                        <option value="icon-share" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-share') ? 'selected="selected"' : ''); ?>>icon-share</option>
                        <option value="icon-check" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-check') ? 'selected="selected"' : ''); ?>>icon-check</option>
                        <option value="icon-move" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-move') ? 'selected="selected"' : ''); ?>>icon-move</option>
                        <option value="icon-step-backward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-step-backward') ? 'selected="selected"' : ''); ?>>icon-step-backward</option>
                        <option value="icon-fast-backward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fast-backward') ? 'selected="selected"' : ''); ?>>icon-fast-backward</option>
                        <option value="icon-backward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-backward') ? 'selected="selected"' : ''); ?>>icon-backward</option>
                        <option value="icon-play" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-play') ? 'selected="selected"' : ''); ?>>icon-play</option>
                        <option value="icon-pause" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-pause') ? 'selected="selected"' : ''); ?>>icon-pause</option>
                        <option value="icon-stop" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-stop') ? 'selected="selected"' : ''); ?>>icon-stop</option>
                        <option value="icon-forward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-forward') ? 'selected="selected"' : ''); ?>>icon-forward</option>
                        <option value="icon-fast-forward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fast-forward') ? 'selected="selected"' : ''); ?>>icon-fast-forward</option>
                        <option value="icon-step-forward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-step-forward') ? 'selected="selected"' : ''); ?>>icon-step-forward</option>
                        <option value="icon-eject" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-eject') ? 'selected="selected"' : ''); ?>>icon-eject</option>
                        <option value="icon-chevron-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-left') ? 'selected="selected"' : ''); ?>>icon-chevron-left</option>
                        <option value="icon-chevron-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-right') ? 'selected="selected"' : ''); ?>>icon-chevron-right</option>
                        <option value="icon-plus-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-plus-sign') ? 'selected="selected"' : ''); ?>>icon-plus-sign</option>
                        <option value="icon-minus-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-minus-sign') ? 'selected="selected"' : ''); ?>>icon-minus-sign</option>
                        <option value="icon-remove-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-remove-sign') ? 'selected="selected"' : ''); ?>>icon-remove-sign</option>
                        <option value="icon-ok-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ok-sign') ? 'selected="selected"' : ''); ?>>icon-ok-sign</option>
                        <option value="icon-question-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-question-sign') ? 'selected="selected"' : ''); ?>>icon-question-sign</option>
                        <option value="icon-info-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-info-sign') ? 'selected="selected"' : ''); ?>>icon-info-sign</option>
                        <option value="icon-screenshot" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-screenshot') ? 'selected="selected"' : ''); ?>>icon-screenshot</option>
                        <option value="icon-remove-circle" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-remove-circle') ? 'selected="selected"' : ''); ?>>icon-remove-circle</option>
                        <option value="icon-ok-circle" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ok-circle') ? 'selected="selected"' : ''); ?>>icon-ok-circle</option>
                        <option value="icon-ban-circle" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ban-circle') ? 'selected="selected"' : ''); ?>>icon-ban-circle</option>
                        <option value="icon-arrow-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-arrow-left') ? 'selected="selected"' : ''); ?>>icon-arrow-left</option>
                        <option value="icon-arrow-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-arrow-right') ? 'selected="selected"' : ''); ?>>icon-arrow-right</option>
                        <option value="icon-arrow-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-arrow-up') ? 'selected="selected"' : ''); ?>>icon-arrow-up</option>
                        <option value="icon-arrow-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-arrow-down') ? 'selected="selected"' : ''); ?>>icon-arrow-down</option>
                        <option value="icon-mail-forward" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-mail-forward') ? 'selected="selected"' : ''); ?>>icon-mail-forward</option>
                        <option value="icon-share-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-share-alt') ? 'selected="selected"' : ''); ?>>icon-share-alt</option>
                        <option value="icon-resize-full" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-resize-full') ? 'selected="selected"' : ''); ?>>icon-resize-full</option>
                        <option value="icon-resize-small" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-resize-small') ? 'selected="selected"' : ''); ?>>icon-resize-small</option>
                        <option value="icon-plus" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-plus') ? 'selected="selected"' : ''); ?>>icon-plus</option>
                        <option value="icon-minus" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-minus') ? 'selected="selected"' : ''); ?>>icon-minus</option>
                        <option value="icon-asterisk" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-asterisk') ? 'selected="selected"' : ''); ?>>icon-asterisk</option>
                        <option value="icon-exclamation-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-exclamation-sign') ? 'selected="selected"' : ''); ?>>icon-exclamation-sign</option>
                        <option value="icon-gift" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-gift') ? 'selected="selected"' : ''); ?>>icon-gift</option>
                        <option value="icon-leaf" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-leaf') ? 'selected="selected"' : ''); ?>>icon-leaf</option>
                        <option value="icon-fire" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fire') ? 'selected="selected"' : ''); ?>>icon-fire</option>
                        <option value="icon-eye-open" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-eye-open') ? 'selected="selected"' : ''); ?>>icon-eye-open</option>
                        <option value="icon-eye-close" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-eye-close') ? 'selected="selected"' : ''); ?>>icon-eye-close</option>
                        <option value="icon-warning-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-warning-sign') ? 'selected="selected"' : ''); ?>>icon-warning-sign</option>
                        <option value="icon-plane" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-plane') ? 'selected="selected"' : ''); ?>>icon-plane</option>
                        <option value="icon-calendar" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-calendar') ? 'selected="selected"' : ''); ?>>icon-calendar</option>
                        <option value="icon-random" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-random') ? 'selected="selected"' : ''); ?>>icon-random</option>
                        <option value="icon-comment" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-comment') ? 'selected="selected"' : ''); ?>>icon-comment</option>
                        <option value="icon-magnet" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-magnet') ? 'selected="selected"' : ''); ?>>icon-magnet</option>
                        <option value="icon-chevron-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-up') ? 'selected="selected"' : ''); ?>>icon-chevron-up</option>
                        <option value="icon-chevron-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-down') ? 'selected="selected"' : ''); ?>>icon-chevron-down</option>
                        <option value="icon-retweet" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-retweet') ? 'selected="selected"' : ''); ?>>icon-retweet</option>
                        <option value="icon-shopping-cart" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-shopping-cart') ? 'selected="selected"' : ''); ?>>icon-shopping-cart</option>
                        <option value="icon-folder-close" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-folder-close') ? 'selected="selected"' : ''); ?>>icon-folder-close</option>
                        <option value="icon-folder-open" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-folder-open') ? 'selected="selected"' : ''); ?>>icon-folder-open</option>
                        <option value="icon-resize-vertical" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-resize-vertical') ? 'selected="selected"' : ''); ?>>icon-resize-vertical</option>
                        <option value="icon-resize-horizontal" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-resize-horizontal') ? 'selected="selected"' : ''); ?>>icon-resize-horizontal</option>
                        <option value="icon-bar-chart" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bar-chart') ? 'selected="selected"' : ''); ?>>icon-bar-chart</option>
                        <option value="icon-twitter-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-twitter-sign') ? 'selected="selected"' : ''); ?>>icon-twitter-sign</option>
                        <option value="icon-facebook-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-facebook-sign') ? 'selected="selected"' : ''); ?>>icon-facebook-sign</option>
                        <option value="icon-camera-retro" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-camera-retro') ? 'selected="selected"' : ''); ?>>icon-camera-retro</option>
                        <option value="icon-key" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-key') ? 'selected="selected"' : ''); ?>>icon-key</option>
                        <option value="icon-cogs" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cogs') ? 'selected="selected"' : ''); ?>>icon-cogs</option>
                        <option value="icon-comments" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-comments') ? 'selected="selected"' : ''); ?>>icon-comments</option>
                        <option value="icon-thumbs-up-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-thumbs-up-alt') ? 'selected="selected"' : ''); ?>>icon-thumbs-up-alt</option>
                        <option value="icon-thumbs-down-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-thumbs-down-alt') ? 'selected="selected"' : ''); ?>>icon-thumbs-down-alt</option>
                        <option value="icon-star-half" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-star-half') ? 'selected="selected"' : ''); ?>>icon-star-half</option>
                        <option value="icon-heart-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-heart-empty') ? 'selected="selected"' : ''); ?>>icon-heart-empty</option>
                        <option value="icon-signout" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-signout') ? 'selected="selected"' : ''); ?>>icon-signout</option>
                        <option value="icon-linkedin-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-linkedin-sign') ? 'selected="selected"' : ''); ?>>icon-linkedin-sign</option>
                        <option value="icon-pushpin" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-pushpin') ? 'selected="selected"' : ''); ?>>icon-pushpin</option>
                        <option value="icon-external-link" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-external-link') ? 'selected="selected"' : ''); ?>>icon-external-link</option>
                        <option value="icon-signin" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-signin') ? 'selected="selected"' : ''); ?>>icon-signin</option>
                        <option value="icon-trophy" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-trophy') ? 'selected="selected"' : ''); ?>>icon-trophy</option>
                        <option value="icon-github-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-github-sign') ? 'selected="selected"' : ''); ?>>icon-github-sign</option>
                        <option value="icon-upload-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-upload-alt') ? 'selected="selected"' : ''); ?>>icon-upload-alt</option>
                        <option value="icon-lemon" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-lemon') ? 'selected="selected"' : ''); ?>>icon-lemon</option>
                        <option value="icon-phone" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-phone') ? 'selected="selected"' : ''); ?>>icon-phone</option>
                        <option value="icon-unchecked" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-unchecked') ? 'selected="selected"' : ''); ?>>icon-unchecked</option>
                        <option value="icon-check-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-check-empty') ? 'selected="selected"' : ''); ?>>icon-check-empty</option>
                        <option value="icon-bookmark-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bookmark-empty') ? 'selected="selected"' : ''); ?>>icon-bookmark-empty</option>
                        <option value="icon-phone-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-phone-sign') ? 'selected="selected"' : ''); ?>>icon-phone-sign</option>
                        <option value="icon-twitter" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-twitter') ? 'selected="selected"' : ''); ?>>icon-twitter</option>
                        <option value="icon-facebook" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-facebook') ? 'selected="selected"' : ''); ?>>icon-facebook</option>
                        <option value="icon-github" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-github') ? 'selected="selected"' : ''); ?>>icon-github</option>
                        <option value="icon-unlock" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-unlock') ? 'selected="selected"' : ''); ?>>icon-unlock</option>
                        <option value="icon-credit-card" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-credit-card') ? 'selected="selected"' : ''); ?>>icon-credit-card</option>
                        <option value="icon-rss" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rss') ? 'selected="selected"' : ''); ?>>icon-rss</option>
                        <option value="icon-hdd" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hdd') ? 'selected="selected"' : ''); ?>>icon-hdd</option>
                        <option value="icon-bullhorn" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bullhorn') ? 'selected="selected"' : ''); ?>>icon-bullhorn</option>
                        <option value="icon-bell" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bell') ? 'selected="selected"' : ''); ?>>icon-bell</option>
                        <option value="icon-certificate" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-certificate') ? 'selected="selected"' : ''); ?>>icon-certificate</option>
                        <option value="icon-hand-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hand-right') ? 'selected="selected"' : ''); ?>>icon-hand-right</option>
                        <option value="icon-hand-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hand-left') ? 'selected="selected"' : ''); ?>>icon-hand-left</option>
                        <option value="icon-hand-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hand-up') ? 'selected="selected"' : ''); ?>>icon-hand-up</option>
                        <option value="icon-hand-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hand-down') ? 'selected="selected"' : ''); ?>>icon-hand-down</option>
                        <option value="icon-circle-arrow-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle-arrow-left') ? 'selected="selected"' : ''); ?>>icon-circle-arrow-left</option>
                        <option value="icon-circle-arrow-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle-arrow-right') ? 'selected="selected"' : ''); ?>>icon-circle-arrow-right</option>
                        <option value="icon-circle-arrow-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle-arrow-up') ? 'selected="selected"' : ''); ?>>icon-circle-arrow-up</option>
                        <option value="icon-circle-arrow-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle-arrow-down') ? 'selected="selected"' : ''); ?>>icon-circle-arrow-down</option>
                        <option value="icon-globe" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-globe') ? 'selected="selected"' : ''); ?>>icon-globe</option>
                        <option value="icon-wrench" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-wrench') ? 'selected="selected"' : ''); ?>>icon-wrench</option>
                        <option value="icon-tasks" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tasks') ? 'selected="selected"' : ''); ?>>icon-tasks</option>
                        <option value="icon-filter" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-filter') ? 'selected="selected"' : ''); ?>>icon-filter</option>
                        <option value="icon-briefcase" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-briefcase') ? 'selected="selected"' : ''); ?>>icon-briefcase</option>
                        <option value="icon-fullscreen" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fullscreen') ? 'selected="selected"' : ''); ?>>icon-fullscreen</option>
                        <option value="icon-group" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-group') ? 'selected="selected"' : ''); ?>>icon-group</option>
                        <option value="icon-link" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-link') ? 'selected="selected"' : ''); ?>>icon-link</option>
                        <option value="icon-cloud" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cloud') ? 'selected="selected"' : ''); ?>>icon-cloud</option>
                        <option value="icon-beaker" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-beaker') ? 'selected="selected"' : ''); ?>>icon-beaker</option>
                        <option value="icon-cut" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cut') ? 'selected="selected"' : ''); ?>>icon-cut</option>
                        <option value="icon-copy" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-copy') ? 'selected="selected"' : ''); ?>>icon-copy</option>
                        <option value="icon-paperclip" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-paperclip') ? 'selected="selected"' : ''); ?>>icon-paperclip</option>
                        <option value="icon-paper-clip" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-paper-clip') ? 'selected="selected"' : ''); ?>>icon-paper-clip</option>
                        <option value="icon-save" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-save') ? 'selected="selected"' : ''); ?>>icon-save</option>
                        <option value="icon-sign-blank" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sign-blank') ? 'selected="selected"' : ''); ?>>icon-sign-blank</option>
                        <option value="icon-reorder" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-reorder') ? 'selected="selected"' : ''); ?>>icon-reorder</option>
                        <option value="icon-list-ul" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-list-ul') ? 'selected="selected"' : ''); ?>>icon-list-ul</option>
                        <option value="icon-list-ol" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-list-ol') ? 'selected="selected"' : ''); ?>>icon-list-ol</option>
                        <option value="icon-strikethrough" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-strikethrough') ? 'selected="selected"' : ''); ?>>icon-strikethrough</option>
                        <option value="icon-underline" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-underline') ? 'selected="selected"' : ''); ?>>icon-underline</option>
                        <option value="icon-table" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-table') ? 'selected="selected"' : ''); ?>>icon-table</option>
                        <option value="icon-magic" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-magic') ? 'selected="selected"' : ''); ?>>icon-magic</option>
                        <option value="icon-truck" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-truck') ? 'selected="selected"' : ''); ?>>icon-truck</option>
                        <option value="icon-pinterest" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-pinterest') ? 'selected="selected"' : ''); ?>>icon-pinterest</option>
                        <option value="icon-pinterest-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-pinterest-sign') ? 'selected="selected"' : ''); ?>>icon-pinterest-sign</option>
                        <option value="icon-google-plus-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-google-plus-sign') ? 'selected="selected"' : ''); ?>>icon-google-plus-sign</option>
                        <option value="icon-google-plus" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-google-plus') ? 'selected="selected"' : ''); ?>>icon-google-plus</option>
                        <option value="icon-money" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-money') ? 'selected="selected"' : ''); ?>>icon-money</option>
                        <option value="icon-caret-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-caret-down') ? 'selected="selected"' : ''); ?>>icon-caret-down</option>
                        <option value="icon-caret-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-caret-up') ? 'selected="selected"' : ''); ?>>icon-caret-up</option>
                        <option value="icon-caret-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-caret-left') ? 'selected="selected"' : ''); ?>>icon-caret-left</option>
                        <option value="icon-caret-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-caret-right') ? 'selected="selected"' : ''); ?>>icon-caret-right</option>
                        <option value="icon-columns" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-columns') ? 'selected="selected"' : ''); ?>>icon-columns</option>
                        <option value="icon-sort" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort') ? 'selected="selected"' : ''); ?>>icon-sort</option>
                        <option value="icon-sort-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-down') ? 'selected="selected"' : ''); ?>>icon-sort-down</option>
                        <option value="icon-sort-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-up') ? 'selected="selected"' : ''); ?>>icon-sort-up</option>
                        <option value="icon-envelope" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-envelope') ? 'selected="selected"' : ''); ?>>icon-envelope</option>
                        <option value="icon-linkedin" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-linkedin') ? 'selected="selected"' : ''); ?>>icon-linkedin</option>
                        <option value="icon-rotate-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rotate-left') ? 'selected="selected"' : ''); ?>>icon-rotate-left</option>
                        <option value="icon-undo" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-undo') ? 'selected="selected"' : ''); ?>>icon-undo</option>
                        <option value="icon-legal" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-legal') ? 'selected="selected"' : ''); ?>>icon-legal</option>
                        <option value="icon-dashboard" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-dashboard') ? 'selected="selected"' : ''); ?>>icon-dashboard</option>
                        <option value="icon-comment-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-comment-alt') ? 'selected="selected"' : ''); ?>>icon-comment-alt</option>
                        <option value="icon-comments-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-comments-alt') ? 'selected="selected"' : ''); ?>>icon-comments-alt</option>
                        <option value="icon-bolt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bolt') ? 'selected="selected"' : ''); ?>>icon-bolt</option>
                        <option value="icon-sitemap" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sitemap') ? 'selected="selected"' : ''); ?>>icon-sitemap</option>
                        <option value="icon-umbrella" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-umbrella') ? 'selected="selected"' : ''); ?>>icon-umbrella</option>
                        <option value="icon-paste" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-paste') ? 'selected="selected"' : ''); ?>>icon-paste</option>
                        <option value="icon-lightbulb" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-lightbulb') ? 'selected="selected"' : ''); ?>>icon-lightbulb</option>
                        <option value="icon-exchange" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-exchange') ? 'selected="selected"' : ''); ?>>icon-exchange</option>
                        <option value="icon-cloud-download" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cloud-download') ? 'selected="selected"' : ''); ?>>icon-cloud-download</option>
                        <option value="icon-cloud-upload" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cloud-upload') ? 'selected="selected"' : ''); ?>>icon-cloud-upload</option>
                        <option value="icon-user-md" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-user-md') ? 'selected="selected"' : ''); ?>>icon-user-md</option>
                        <option value="icon-stethoscope" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-stethoscope') ? 'selected="selected"' : ''); ?>>icon-stethoscope</option>
                        <option value="icon-suitcase" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-suitcase') ? 'selected="selected"' : ''); ?>>icon-suitcase</option>
                        <option value="icon-bell-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bell-alt') ? 'selected="selected"' : ''); ?>>icon-bell-alt</option>
                        <option value="icon-coffee" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-coffee') ? 'selected="selected"' : ''); ?>>icon-coffee</option>
                        <option value="icon-food" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-food') ? 'selected="selected"' : ''); ?>>icon-food</option>
                        <option value="icon-file-text-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-file-text-alt') ? 'selected="selected"' : ''); ?>>icon-file-text-alt</option>
                        <option value="icon-building" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-building') ? 'selected="selected"' : ''); ?>>icon-building</option>
                        <option value="icon-hospital" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-hospital') ? 'selected="selected"' : ''); ?>>icon-hospital</option>
                        <option value="icon-ambulance" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ambulance') ? 'selected="selected"' : ''); ?>>icon-ambulance</option>
                        <option value="icon-medkit" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-medkit') ? 'selected="selected"' : ''); ?>>icon-medkit</option>
                        <option value="icon-fighter-jet" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fighter-jet') ? 'selected="selected"' : ''); ?>>icon-fighter-jet</option>
                        <option value="icon-beer" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-beer') ? 'selected="selected"' : ''); ?>>icon-beer</option>
                        <option value="icon-h-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-h-sign') ? 'selected="selected"' : ''); ?>>icon-h-sign</option>
                        <option value="icon-plus-sign-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-plus-sign-alt') ? 'selected="selected"' : ''); ?>>icon-plus-sign-alt</option>
                        <option value="icon-double-angle-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-double-angle-left') ? 'selected="selected"' : ''); ?>>icon-double-angle-left</option>
                        <option value="icon-double-angle-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-double-angle-right') ? 'selected="selected"' : ''); ?>>icon-double-angle-right</option>
                        <option value="icon-double-angle-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-double-angle-up') ? 'selected="selected"' : ''); ?>>icon-double-angle-up</option>
                        <option value="icon-double-angle-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-double-angle-down') ? 'selected="selected"' : ''); ?>>icon-double-angle-down</option>
                        <option value="icon-angle-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-angle-left') ? 'selected="selected"' : ''); ?>>icon-angle-left</option>
                        <option value="icon-angle-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-angle-right') ? 'selected="selected"' : ''); ?>>icon-angle-right</option>
                        <option value="icon-angle-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-angle-up') ? 'selected="selected"' : ''); ?>>icon-angle-up</option>
                        <option value="icon-angle-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-angle-down') ? 'selected="selected"' : ''); ?>>icon-angle-down</option>
                        <option value="icon-desktop" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-desktop') ? 'selected="selected"' : ''); ?>>icon-desktop</option>
                        <option value="icon-laptop" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-laptop') ? 'selected="selected"' : ''); ?>>icon-laptop</option>
                        <option value="icon-tablet" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tablet') ? 'selected="selected"' : ''); ?>>icon-tablet</option>
                        <option value="icon-mobile-phone" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-mobile-phone') ? 'selected="selected"' : ''); ?>>icon-mobile-phone</option>
                        <option value="icon-circle-blank" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle-blank') ? 'selected="selected"' : ''); ?>>icon-circle-blank</option>
                        <option value="icon-quote-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-quote-left') ? 'selected="selected"' : ''); ?>>icon-quote-left</option>
                        <option value="icon-quote-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-quote-right') ? 'selected="selected"' : ''); ?>>icon-quote-right</option>
                        <option value="icon-spinner" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-spinner') ? 'selected="selected"' : ''); ?>>icon-spinner</option>
                        <option value="icon-circle" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-circle') ? 'selected="selected"' : ''); ?>>icon-circle</option>
                        <option value="icon-mail-reply" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-mail-reply') ? 'selected="selected"' : ''); ?>>icon-mail-reply</option>
                        <option value="icon-reply" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-reply') ? 'selected="selected"' : ''); ?>>icon-reply</option>
                        <option value="icon-github-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-github-alt') ? 'selected="selected"' : ''); ?>>icon-github-alt</option>
                        <option value="icon-folder-close-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-folder-close-alt') ? 'selected="selected"' : ''); ?>>icon-folder-close-alt</option>
                        <option value="icon-folder-open-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-folder-open-alt') ? 'selected="selected"' : ''); ?>>icon-folder-open-alt</option>
                        <option value="icon-expand-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-expand-alt') ? 'selected="selected"' : ''); ?>>icon-expand-alt</option>
                        <option value="icon-collapse-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-collapse-alt') ? 'selected="selected"' : ''); ?>>icon-collapse-alt</option>
                        <option value="icon-smile" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-smile') ? 'selected="selected"' : ''); ?>>icon-smile</option>
                        <option value="icon-frown" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-frown') ? 'selected="selected"' : ''); ?>>icon-frown</option>
                        <option value="icon-meh" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-meh') ? 'selected="selected"' : ''); ?>>icon-meh</option>
                        <option value="icon-gamepad" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-gamepad') ? 'selected="selected"' : ''); ?>>icon-gamepad</option>
                        <option value="icon-keyboard" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-keyboard') ? 'selected="selected"' : ''); ?>>icon-keyboard</option>
                        <option value="icon-flag-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-flag-alt') ? 'selected="selected"' : ''); ?>>icon-flag-alt</option>
                        <option value="icon-flag-checkered" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-flag-checkered') ? 'selected="selected"' : ''); ?>>icon-flag-checkered</option>
                        <option value="icon-terminal" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-terminal') ? 'selected="selected"' : ''); ?>>icon-terminal</option>
                        <option value="icon-code" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-code') ? 'selected="selected"' : ''); ?>>icon-code</option>
                        <option value="icon-reply-all" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-reply-all') ? 'selected="selected"' : ''); ?>>icon-reply-all</option>
                        <option value="icon-mail-reply-all" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-mail-reply-all') ? 'selected="selected"' : ''); ?>>icon-mail-reply-all</option>
                        <option value="icon-star-half-full" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-star-half-full') ? 'selected="selected"' : ''); ?>>icon-star-half-full</option>
                        <option value="icon-star-half-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-star-half-empty') ? 'selected="selected"' : ''); ?>>icon-star-half-empty</option>
                        <option value="icon-location-arrow" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-location-arrow') ? 'selected="selected"' : ''); ?>>icon-location-arrow</option>
                        <option value="icon-crop" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-crop') ? 'selected="selected"' : ''); ?>>icon-crop</option>
                        <option value="icon-code-fork" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-code-fork') ? 'selected="selected"' : ''); ?>>icon-code-fork</option>
                        <option value="icon-unlink" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-unlink') ? 'selected="selected"' : ''); ?>>icon-unlink</option>
                        <option value="icon-question" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-question') ? 'selected="selected"' : ''); ?>>icon-question</option>
                        <option value="icon-info" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-info') ? 'selected="selected"' : ''); ?>>icon-info</option>
                        <option value="icon-exclamation" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-exclamation') ? 'selected="selected"' : ''); ?>>icon-exclamation</option>
                        <option value="icon-superscript" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-superscript') ? 'selected="selected"' : ''); ?>>icon-superscript</option>
                        <option value="icon-subscript" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-subscript') ? 'selected="selected"' : ''); ?>>icon-subscript</option>
                        <option value="icon-eraser" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-eraser') ? 'selected="selected"' : ''); ?>>icon-eraser</option>
                        <option value="icon-puzzle-piece" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-puzzle-piece') ? 'selected="selected"' : ''); ?>>icon-puzzle-piece</option>
                        <option value="icon-microphone" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-microphone') ? 'selected="selected"' : ''); ?>>icon-microphone</option>
                        <option value="icon-microphone-off" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-microphone-off') ? 'selected="selected"' : ''); ?>>icon-microphone-off</option>
                        <option value="icon-shield" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-shield') ? 'selected="selected"' : ''); ?>>icon-shield</option>
                        <option value="icon-calendar-empty" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-calendar-empty') ? 'selected="selected"' : ''); ?>>icon-calendar-empty</option>
                        <option value="icon-fire-extinguisher" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-fire-extinguisher') ? 'selected="selected"' : ''); ?>>icon-fire-extinguisher</option>
                        <option value="icon-rocket" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rocket') ? 'selected="selected"' : ''); ?>>icon-rocket</option>
                        <option value="icon-maxcdn" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-maxcdn') ? 'selected="selected"' : ''); ?>>icon-maxcdn</option>
                        <option value="icon-chevron-sign-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-sign-left') ? 'selected="selected"' : ''); ?>>icon-chevron-sign-left</option>
                        <option value="icon-chevron-sign-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-sign-right') ? 'selected="selected"' : ''); ?>>icon-chevron-sign-right</option>
                        <option value="icon-chevron-sign-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-sign-up') ? 'selected="selected"' : ''); ?>>icon-chevron-sign-up</option>
                        <option value="icon-chevron-sign-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-chevron-sign-down') ? 'selected="selected"' : ''); ?>>icon-chevron-sign-down</option>
                        <option value="icon-html5" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-html5') ? 'selected="selected"' : ''); ?>>icon-html5</option>
                        <option value="icon-css3" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-css3') ? 'selected="selected"' : ''); ?>>icon-css3</option>
                        <option value="icon-anchor" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-anchor') ? 'selected="selected"' : ''); ?>>icon-anchor</option>
                        <option value="icon-unlock-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-unlock-alt') ? 'selected="selected"' : ''); ?>>icon-unlock-alt</option>
                        <option value="icon-bullseye" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bullseye') ? 'selected="selected"' : ''); ?>>icon-bullseye</option>
                        <option value="icon-ellipsis-horizontal" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ellipsis-horizontal') ? 'selected="selected"' : ''); ?>>icon-ellipsis-horizontal</option>
                        <option value="icon-ellipsis-vertical" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ellipsis-vertical') ? 'selected="selected"' : ''); ?>>icon-ellipsis-vertical</option>
                        <option value="icon-rss-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rss-sign') ? 'selected="selected"' : ''); ?>>icon-rss-sign</option>
                        <option value="icon-play-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-play-sign') ? 'selected="selected"' : ''); ?>>icon-play-sign</option>
                        <option value="icon-ticket" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-ticket') ? 'selected="selected"' : ''); ?>>icon-ticket</option>
                        <option value="icon-minus-sign-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-minus-sign-alt') ? 'selected="selected"' : ''); ?>>icon-minus-sign-alt</option>
                        <option value="icon-check-minus" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-check-minus') ? 'selected="selected"' : ''); ?>>icon-check-minus</option>
                        <option value="icon-level-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-level-up') ? 'selected="selected"' : ''); ?>>icon-level-up</option>
                        <option value="icon-level-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-level-down') ? 'selected="selected"' : ''); ?>>icon-level-down</option>
                        <option value="icon-check-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-check-sign') ? 'selected="selected"' : ''); ?>>icon-check-sign</option>
                        <option value="icon-edit-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-edit-sign') ? 'selected="selected"' : ''); ?>>icon-edit-sign</option>
                        <option value="icon-external-link-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-external-link-sign') ? 'selected="selected"' : ''); ?>>icon-external-link-sign</option>
                        <option value="icon-share-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-share-sign') ? 'selected="selected"' : ''); ?>>icon-share-sign</option>
                        <option value="icon-compass" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-compass') ? 'selected="selected"' : ''); ?>>icon-compass</option>
                        <option value="icon-collapse" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-collapse') ? 'selected="selected"' : ''); ?>>icon-collapse</option>
                        <option value="icon-collapse-top" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-collapse-top') ? 'selected="selected"' : ''); ?>>icon-collapse-top</option>
                        <option value="icon-expand" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-expand') ? 'selected="selected"' : ''); ?>>icon-expand</option>
                        <option value="icon-euro" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-euro') ? 'selected="selected"' : ''); ?>>icon-euro</option>
                        <option value="icon-eur" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-eur') ? 'selected="selected"' : ''); ?>>icon-eur</option>
                        <option value="icon-gbp" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-gbp') ? 'selected="selected"' : ''); ?>>icon-gbp</option>
                        <option value="icon-dollar" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-dollar') ? 'selected="selected"' : ''); ?>>icon-dollar</option>
                        <option value="icon-usd" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-usd') ? 'selected="selected"' : ''); ?>>icon-usd</option>
                        <option value="icon-rupee" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-rupee') ? 'selected="selected"' : ''); ?>>icon-rupee</option>
                        <option value="icon-inr" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-inr') ? 'selected="selected"' : ''); ?>>icon-inr</option>
                        <option value="icon-yen" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-yen') ? 'selected="selected"' : ''); ?>>icon-yen</option>
                        <option value="icon-jpy" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-jpy') ? 'selected="selected"' : ''); ?>>icon-jpy</option>
                        <option value="icon-renminbi" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-renminbi') ? 'selected="selected"' : ''); ?>>icon-renminbi</option>
                        <option value="icon-cny" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-cny') ? 'selected="selected"' : ''); ?>>icon-cny</option>
                        <option value="icon-won" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-won') ? 'selected="selected"' : ''); ?>>icon-won</option>
                        <option value="icon-krw" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-krw') ? 'selected="selected"' : ''); ?>>icon-krw</option>
                        <option value="icon-bitcoin" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bitcoin') ? 'selected="selected"' : ''); ?>>icon-bitcoin</option>
                        <option value="icon-btc" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-btc') ? 'selected="selected"' : ''); ?>>icon-btc</option>
                        <option value="icon-file" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-file') ? 'selected="selected"' : ''); ?>>icon-file</option>
                        <option value="icon-file-text" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-file-text') ? 'selected="selected"' : ''); ?>>icon-file-text</option>
                        <option value="icon-sort-by-alphabet" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-alphabet') ? 'selected="selected"' : ''); ?>>icon-sort-by-alphabet</option>
                        <option value="icon-sort-by-alphabet-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-alphabet-alt') ? 'selected="selected"' : ''); ?>>icon-sort-by-alphabet-alt</option>
                        <option value="icon-sort-by-attributes" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-attributes') ? 'selected="selected"' : ''); ?>>icon-sort-by-attributes</option>
                        <option value="icon-sort-by-attributes-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-attributes-alt') ? 'selected="selected"' : ''); ?>>icon-sort-by-attributes-alt</option>
                        <option value="icon-sort-by-order" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-order') ? 'selected="selected"' : ''); ?>>icon-sort-by-order</option>
                        <option value="icon-sort-by-order-alt" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sort-by-order-alt') ? 'selected="selected"' : ''); ?>>icon-sort-by-order-alt</option>
                        <option value="icon-thumbs-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-thumbs-up') ? 'selected="selected"' : ''); ?>>icon-thumbs-up</option>
                        <option value="icon-thumbs-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-thumbs-down') ? 'selected="selected"' : ''); ?>>icon-thumbs-down</option>
                        <option value="icon-youtube-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-youtube-sign') ? 'selected="selected"' : ''); ?>>icon-youtube-sign</option>
                        <option value="icon-youtube" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-youtube') ? 'selected="selected"' : ''); ?>>icon-youtube</option>
                        <option value="icon-xing" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-xing') ? 'selected="selected"' : ''); ?>>icon-xing</option>
                        <option value="icon-xing-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-xing-sign') ? 'selected="selected"' : ''); ?>>icon-xing-sign</option>
                        <option value="icon-youtube-play" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-youtube-play') ? 'selected="selected"' : ''); ?>>icon-youtube-play</option>
                        <option value="icon-dropbox" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-dropbox') ? 'selected="selected"' : ''); ?>>icon-dropbox</option>
                        <option value="icon-stackexchange" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-stackexchange') ? 'selected="selected"' : ''); ?>>icon-stackexchange</option>
                        <option value="icon-instagram" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-instagram') ? 'selected="selected"' : ''); ?>>icon-instagram</option>
                        <option value="icon-flickr" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-flickr') ? 'selected="selected"' : ''); ?>>icon-flickr</option>
                        <option value="icon-adn" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-adn') ? 'selected="selected"' : ''); ?>>icon-adn</option>
                        <option value="icon-bitbucket" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bitbucket') ? 'selected="selected"' : ''); ?>>icon-bitbucket</option>
                        <option value="icon-bitbucket-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bitbucket-sign') ? 'selected="selected"' : ''); ?>>icon-bitbucket-sign</option>
                        <option value="icon-tumblr" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tumblr') ? 'selected="selected"' : ''); ?>>icon-tumblr</option>
                        <option value="icon-tumblr-sign" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-tumblr-sign') ? 'selected="selected"' : ''); ?>>icon-tumblr-sign</option>
                        <option value="icon-long-arrow-down" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-long-arrow-down') ? 'selected="selected"' : ''); ?>>icon-long-arrow-down</option>
                        <option value="icon-long-arrow-up" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-long-arrow-up') ? 'selected="selected"' : ''); ?>>icon-long-arrow-up</option>
                        <option value="icon-long-arrow-left" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-long-arrow-left') ? 'selected="selected"' : ''); ?>>icon-long-arrow-left</option>
                        <option value="icon-long-arrow-right" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-long-arrow-right') ? 'selected="selected"' : ''); ?>>icon-long-arrow-right</option>
                        <option value="icon-apple" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-apple') ? 'selected="selected"' : ''); ?>>icon-apple</option>
                        <option value="icon-windows" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-windows') ? 'selected="selected"' : ''); ?>>icon-windows</option>
                        <option value="icon-android" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-android') ? 'selected="selected"' : ''); ?>>icon-android</option>
                        <option value="icon-linux" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-linux') ? 'selected="selected"' : ''); ?>>icon-linux</option>
                        <option value="icon-dribble" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-dribble') ? 'selected="selected"' : ''); ?>>icon-dribble</option>
                        <option value="icon-skype" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-skype') ? 'selected="selected"' : ''); ?>>icon-skype</option>
                        <option value="icon-foursquare" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-foursquare') ? 'selected="selected"' : ''); ?>>icon-foursquare</option>
                        <option value="icon-trello" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-trello') ? 'selected="selected"' : ''); ?>>icon-trello</option>
                        <option value="icon-female" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-female') ? 'selected="selected"' : ''); ?>>icon-female</option>
                        <option value="icon-male" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-male') ? 'selected="selected"' : ''); ?>>icon-male</option>
                        <option value="icon-gittip" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-gittip') ? 'selected="selected"' : ''); ?>>icon-gittip</option>
                        <option value="icon-sun" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-sun') ? 'selected="selected"' : ''); ?>>icon-sun</option>
                        <option value="icon-moon" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-moon') ? 'selected="selected"' : ''); ?>>icon-moon</option>
                        <option value="icon-archive" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-archive') ? 'selected="selected"' : ''); ?>>icon-archive</option>
                        <option value="icon-bug" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-bug') ? 'selected="selected"' : ''); ?>>icon-bug</option>
                        <option value="icon-vk" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-vk') ? 'selected="selected"' : ''); ?>>icon-vk</option>
                        <option value="icon-weibo" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-weibo') ? 'selected="selected"' : ''); ?>>icon-weibo</option>
                        <option value="icon-renren" <?php echo ((isset($at_noti_options['alert_icon']) && $at_noti_options['alert_icon'] == 'icon-renren') ? 'selected="selected"' : ''); ?>>icon-renren</option>
                    </select>
                </div>
                
                <!-- BUTTON -->
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Button Text', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_btn_caption at_noti_filter_button" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_btn_caption]" id="at_noti_options_alert_layer_btn_caption_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_btn_caption'])) ? $at_noti_options['alert_layer_btn_caption'] :  __('Click me!', AT_NOTI_LANG)); ?>" />
                </div>
                
                <!-- FONT -->
                <div class="row 	at_noti_filter_caption at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Font', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_layer_font" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_font]" id="at_noti_options_layer_font_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_font'])) ? $at_noti_options['alert_layer_font'] : ''); ?>">
                </div>
                
                <!-- SIZE + COLOR -->
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Size', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_size num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_size]" id="at_noti_options_alert_layer_size_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_size'])) ? $at_noti_options['alert_layer_size'] : '30'); ?>" /> px
                </div>
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Color', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_color color-picker layer-color-picker" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_color]" id="at_noti_options_alert_layer_color_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_color'])) ? at_parseColor($at_noti_options['alert_layer_color']) : '#000000'); ?>" />
                </div>
                
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Color', AT_NOTI_LANG); ?> : HOVER</label>
                    <input type="text" class="at_noti_options_alert_icon_link_hover color-picker layer-color-picker" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon_link_hover]" id="at_noti_options_alert_icon_link_hover_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_icon_link_hover'])) ? at_parseColor($at_noti_options['alert_icon_link_hover']) : '#000000'); ?>" />
                </div>
                
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Background', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_color_btn_background color-picker layer-color-picker" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_color_btn_background]" id="at_noti_options_alert_layer_color_btn_background_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_color_btn_background'])) ? at_parseColor($at_noti_options['alert_layer_color_btn_background']) : '#FFFFFF'); ?>" />
                </div>
                
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Background', AT_NOTI_LANG); ?> : HOVER</label>
                    <input type="text" class="at_noti_options_alert_icon_link_hover_background_btn color-picker layer-color-picker" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon_link_hover_background_btn]" id="at_noti_options_alert_icon_link_hover_background_btn_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_icon_link_hover_background_btn'])) ? at_parseColor($at_noti_options['alert_icon_link_hover_background_btn']) : '#FFFFFF'); ?>" />
                </div>                
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Line height', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_line_height num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_line_height]" id="at_noti_options_alert_layer_line_height_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_line_height'])) ? $at_noti_options['alert_layer_line_height'] : '32'); ?>" /> px
                </div>
                
                <!-- IMAGE STUFF -->
                <div class="row 	at_noti_filter_image">
                    <label class="text_bold"><?php echo __('Image', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_img_url num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_img_url]" id="at_noti_options_alert_layer_img_url_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_img_url'])) ? $at_noti_options['alert_layer_img_url'] : 'http://'); ?>" />
                    <span class="at_noti_upload_image_button button button-secondary"><?php echo __('Select file', AT_NOTI_LANG); ?></span>
                </div>
                
                <div class="row 	at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Width', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_w num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_w]" id="at_noti_options_alert_layer_w_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_w'])) ? $at_noti_options['alert_layer_w'] : '100'); ?>" /> px
                </div>
                
                <div class="row 	at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Height', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_h num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_h]" id="at_noti_options_alert_layer_h_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_h'])) ? $at_noti_options['alert_layer_h'] : ''); ?>" /> px
                </div>
                
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Padding', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_padding num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_padding]" id="at_noti_options_alert_layer_padding_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_padding'])) ? $at_noti_options['alert_layer_padding'] : '15'); ?>" /> px
                </div> 
                
                <div class="row 	at_noti_filter_button">
                    <label class="text_bold"><?php echo __('Border Radius', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_border_radius num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_border_radius]" id="at_noti_options_alert_layer_border_radius_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_border_radius'])) ? $at_noti_options['alert_layer_border_radius'] : '4'); ?>" /> px
                </div>
                
                <div class="row 	at_noti_filter_image at_noti_filter_icon">
                    <label class="text_bold"><?php echo __('Link', AT_NOTI_LANG); ?></label>
                    <select id="at_noti_options_alert_icon_link_<?php echo $id; ?>" class="at_noti_options_alert_icon_link" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon_link]">
                        <option value="" <?php echo ((isset($at_noti_options['alert_icon_link']) && $at_noti_options['alert_icon_link'] == '0') ? 'selected="selected"' : ''); ?>><?php echo __('No', AT_NOTI_LANG); ?></option>
                        <option value="1" <?php echo ((isset($at_noti_options['alert_icon_link']) && $at_noti_options['alert_icon_link'] == '1') ? 'selected="selected"' : ''); ?>><?php echo __('Yes', AT_NOTI_LANG); ?></option>
                    </select>
                </div>
                
                <div class="row 	at_noti_filter_button at_noti_filter_image at_noti_filter_icon">
                    <label class="text_bold"><?php echo __('Link URL', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_icon_link_url" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon_link_url]" id="at_noti_options_alert_icon_link_url_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_icon_link_url'])) ? $at_noti_options['alert_icon_link_url'] : 'http://'); ?>" />
                    <select class="at_noti_options_alert_icon_link_target" name="at_noti_options[layers][<?php echo $id; ?>][alert_icon_link_target]" id="at_noti_options_alert_icon_link_target_<?php echo $id; ?>">
                    	<option value="" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '') ? 'selected="selected"' : ''); ?>>default</option>
                    	<option value="_blank" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '_blank') ? 'selected="selected"' : ''); ?>>_blank</option>
                        <option value="_new" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '_new') ? 'selected="selected"' : ''); ?>>_new</option>
                        <option value="_parent" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '_parent') ? 'selected="selected"' : ''); ?>>_parent</option>
                        <option value="_self" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '_self') ? 'selected="selected"' : ''); ?>>_self</option>
                        <option value="_top" <?php echo ((isset($at_noti_options['alert_icon_link_target']) && $at_noti_options['alert_icon_link_target'] == '_top') ? 'selected="selected"' : ''); ?>>_top</option>
                    </select>
                </div>
                    
            </div>
            
            
            <div class="at_third">
                
                <!-- LOAD ANIMATION -->
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Load animation', AT_NOTI_LANG); ?></label>
                    <select name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_entrance_anim]">
                        <option value="" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == '') ? 'selected="selected"' : ''); ?>>disabled</option>
                        <option value="fadeIn" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeIn') ? 'selected="selected"' : ''); ?>>fadeIn</option>
                        <option value="fadeInUp" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInUp') ? 'selected="selected"' : ''); ?>>fadeInUp</option>
                        <option value="fadeInDown" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInDown') ? 'selected="selected"' : ''); ?>>fadeInDown</option>
                        <option value="fadeInLeft" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInLeft') ? 'selected="selected"' : ''); ?>>fadeInLeft</option>
                        <option value="fadeInRight" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInRight') ? 'selected="selected"' : ''); ?>>fadeInRight</option>
                        <option value="fadeInLeftBig" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInLeftBig') ? 'selected="selected"' : ''); ?>>fadeInLeftBig</option>
                        <option value="fadeInRightBig" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'fadeInRightBig') ? 'selected="selected"' : ''); ?>>fadeInRightBig</option>
                        <option value="bounceInDown" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'bounceInDown') ? 'selected="selected"' : ''); ?>>bounceInDown</option>
                        <option value="bounceInUp" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'bounceInUp') ? 'selected="selected"' : ''); ?>>bounceInUp</option>
                        <option value="bounceInLeft" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'bounceInLeft') ? 'selected="selected"' : ''); ?>>bounceInLeft</option>
                        <option value="bounceInRight" <?php echo ((isset($at_noti_options['alert_layer_entrance_anim']) && $at_noti_options['alert_layer_entrance_anim'] == 'bounceInRight') ? 'selected="selected"' : ''); ?>>bounceInRight</option>
                    </select>
                </div>
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label><?php echo __('Delay', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_entrance_anim_delay num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_entrance_anim_delay]" id="at_noti_options_alert_layer_entrance_anim_delay_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_entrance_anim_delay'])) ? $at_noti_options['alert_layer_entrance_anim_delay'] : '0'); ?>" /> ms
                </div>
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label><?php echo __('Speed', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_entrance_anim_speed num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_entrance_anim_speed]" id="at_noti_options_alert_layer_entrance_anim_speed_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_entrance_anim_speed'])) ? $at_noti_options['alert_layer_entrance_anim_speed'] : '0'); ?>" /> ms
                </div>
                
                <!-- UNLOAD ANIMATION -->
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Unload animation', AT_NOTI_LANG); ?></label>
                    <select name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_exit_anim]">
                        <option value="" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == '') ? 'selected="selected"' : ''); ?>>disabled</option>
                        <option value="fadeOut" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOut') ? 'selected="selected"' : ''); ?>>fadeOut</option>
                        <option value="fadeOutUp" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutUp') ? 'selected="selected"' : ''); ?>>fadeOutUp</option>
                        <option value="fadeOutDown" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutDown') ? 'selected="selected"' : ''); ?>>fadeOutDown</option>
                        <option value="fadeOutLeft" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutLeft') ? 'selected="selected"' : ''); ?>>fadeOutLeft</option>
                        <option value="fadeOutRight" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutRight') ? 'selected="selected"' : ''); ?>>fadeOutRight</option>
                        <option value="fadeOutLeftBig" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutLeftBig') ? 'selected="selected"' : ''); ?>>fadeOutLeftBig</option>
                        <option value="fadeOutRightBig" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'fadeOutRightBig') ? 'selected="selected"' : ''); ?>>fadeOutRightBig</option>
                        <option value="bounceOutDown" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'bounceOutDown') ? 'selected="selected"' : ''); ?>>bounceOutDown</option>
                        <option value="bounceOutUp" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'bounceOutUp') ? 'selected="selected"' : ''); ?>>bounceOutUp</option>
                        <option value="bounceOutLeft" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'bounceOutLeft') ? 'selected="selected"' : ''); ?>>bounceOutLeft</option>
                        <option value="bounceOutRight" <?php echo ((isset($at_noti_options['alert_layer_exit_anim']) && $at_noti_options['alert_layer_exit_anim'] == 'bounceOutRight') ? 'selected="selected"' : ''); ?>>bounceOutRight</option>
                    </select>
                </div>
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label><?php echo __('Delay', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_exit_anim_delay num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_exit_anim_delay]" id="at_noti_options_alert_layer_exit_anim_delay_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_exit_anim_delay'])) ? $at_noti_options['alert_layer_exit_anim_delay'] : '0'); ?>" /> ms
                </div>
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label><?php echo __('Speed', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_exit_anim_speed num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_exit_anim_speed]" id="at_noti_options_alert_layer_exit_anim_speed_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_exit_anim_speed'])) ? $at_noti_options['alert_layer_exit_anim_speed'] : '0'); ?>" /> ms
                </div>
                    
            </div>
            
            
            <div class="at_third">
                
                <!-- POSITION -->
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Alignment', AT_NOTI_LANG); ?></label>
                    <select name="at_noti_options[layers][<?php echo $id; ?>][alert_align_from_horiz]" id="at_noti_options_layer_align_from_horiz_<?php echo $id; ?>">
                        <option value="left" <?php echo ((isset($at_noti_options['alert_align_from_horiz']) && $at_noti_options['alert_align_from_horiz'] == 'left') ? 'selected="selected"' : ''); ?>><?php echo __('Align from the Left', AT_NOTI_LANG); ?></option>
                        <option value="right" <?php echo ((isset($at_noti_options['alert_align_from_horiz']) && $at_noti_options['alert_align_from_horiz'] == 'right') ? 'selected="selected"' : ''); ?>><?php echo __('Align from the Right', AT_NOTI_LANG); ?></option>
                    </select>
                </div>
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Position X', AT_NOTI_LANG); ?> (<span class="at_noti_aligntment_hint"></span>)</label>
                    <input type="text" class="tiny at_noti_options_alert_layer_x num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_x]" id="at_noti_options_alert_layer_x_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_x'])) ? $at_noti_options['alert_layer_x'] : '0'); ?>" /> px
                </div>
                
                <div class="row at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Position Y', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_y num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_y]" id="at_noti_options_alert_layer_y_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_y'])) ? $at_noti_options['alert_layer_y'] : '0'); ?>" /> px
                </div>
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Z-Index', AT_NOTI_LANG); ?></label>
                    <input type="text" class="tiny at_noti_options_alert_layer_z num_only" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_z]" id="at_noti_options_alert_layer_z_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_z'])) ? $at_noti_options['alert_layer_z'] : '0'); ?>" />
                </div>
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Custom Class', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_css_class" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_css_class]" id="at_noti_options_alert_layer_css_class_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_css_class'])) ? $at_noti_options['alert_layer_css_class'] : ''); ?>" />
                </div>
                
                <div class="row 	at_noti_filter_caption at_noti_filter_icon at_noti_filter_button at_noti_filter_image at_noti_filter_widget">
                    <label class="text_bold"><?php echo __('Inline Styles', AT_NOTI_LANG); ?></label>
                    <input type="text" class="at_noti_options_alert_layer_css_inline" name="at_noti_options[layers][<?php echo $id; ?>][alert_layer_css_inline]" id="at_noti_options_alert_layer_css_inline_<?php echo $id; ?>" value="<?php echo ((isset($at_noti_options['alert_layer_css_inline'])) ? $at_noti_options['alert_layer_css_inline'] : ''); ?>" />
                </div>
                
            </div>
            
            <div class="at_clear"></div>
        </div>
    </div>
    <?php
}

/* When the post is saved, saves our custom data */
function at_noti_add_alert_metabox_postdata($post_id) {
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;
	if (isset($_POST['at_noti_noncename'])) {
		if (!wp_verify_nonce($_POST['at_noti_noncename'], plugin_basename( __FILE__ ))) return;
		if ('page' == $_POST['post_type'] ) { if (!current_user_can( 'edit_page', $post_id )) return; }
		else { if (!current_user_can( 'edit_post', $post_id )) return; }
	
		$mydata = $_POST;
		$metas = array('at_noti_options');
	  
		foreach ($metas as $m) {
			if (get_post_meta($post_id, $m)) {
				update_post_meta($post_id, $m, $mydata[$m]);
			}
			else {
				add_post_meta($post_id, $m, $mydata[$m], true);
			}
		}
	}
}
add_action('save_post', 'at_noti_add_alert_metabox_postdata');


///////////////////////////////////////////////////////////////////////////////////////

/* Page/Post metabox */
add_action('add_meta_boxes', 'at_noti_add_alert_metabox_page_post');
add_action('save_post', 'at_noti_add_alert_metabox_page_post_save_postdata');

/* Adds a box to the main column on the Post and Page edit screens */
function at_noti_add_alert_metabox_page_post() {
    $screens = array( 'post', 'page', 'product' );
    foreach ($screens as $screen) {
        add_meta_box('myplugin_sectionid', __('Nice Notification Options', AT_NOTI_LANG), 'at_noti_add_alert_metabox_page_post_inner', $screen);
    }
}

function at_noti_add_alert_metabox_page_post_inner( $post ) {
	wp_nonce_field( plugin_basename( __FILE__ ), 'at_noti_noncename_pagepost' );
	
	$value = get_post_meta( $post->ID, 'at_noti_active_alerts', true );
	
	echo '<p>'.__('Select the Notification bars to display on this page. Remember to also set the display options to <strong>Only on selected pages</strong> on the Notification edit page.', AT_NOTI_LANG).'</p>';
  
	$args = array(
		'posts_per_page'  => 0,
		'numberposts'     => 0,
		'offset'          => 0,
		'orderby'         => 'post_date',
		'order'           => 'DESC',
		'post_type'       => 'at_noti',
		'post_status'     => 'any',
		'suppress_filters' => 0
	);
	$alerts = get_posts($args);
	
	foreach ($alerts as $a) {
		echo '<label for="at_noti_active_alerts_'.$a->ID.'" style="width:150px; display:inline-block;">';
		echo $a->post_title;
		echo '</label>';
		echo '<select id="at_noti_active_alerts_'.$a->ID.'" name="at_noti_active_alerts['.$a->ID.']">';
		echo '<option value="0">'.__('Disabled', AT_NOTI_LANG).'</option>';
		echo '<option value="1" '.(($value[$a->ID] == 1) ? 'selected="selected"' : '').'>'.__('Enabled', AT_NOTI_LANG).'</option>';
		echo '</select><br />';
	}
}

function at_noti_add_alert_metabox_page_post_save_postdata($post_id) {
	if (isset($_POST['post_type'])) {
		if ('page' == $_POST['post_type']) {
			if (!current_user_can('edit_page', $post_id))
				return;
		} else {
			if (!current_user_can('edit_post', $post_id))
				return;
		}
		if ( ! isset( $_POST['at_noti_noncename_pagepost'] ) || ! wp_verify_nonce( $_POST['at_noti_noncename_pagepost'], plugin_basename( __FILE__ ) ) )
			return;
	
		$post_ID = $_POST['post_ID'];
		
		//sanitize user input
		$mydata = $_POST['at_noti_active_alerts'];
		add_post_meta($post_ID, 'at_noti_active_alerts', $mydata, true) or update_post_meta($post_ID, 'at_noti_active_alerts', $mydata);
	}
}
?>