<?php
function at_pixels_to_perc($pixels, $total) {
	return ($pixels*100)/$total;
}

/* CSS */
function at_noti_add_styles() {
	//global $post;
	$post = get_queried_object();
	
	if (is_single() || is_page()) {
		$activeAlerts = get_post_meta( $post->ID, 'at_noti_active_alerts', true );
	}
	
	$postType = $post->post_type;
	$gFonts = array();
	
	$args = array(
		'posts_per_page'  => 0,
		'numberposts'     => 0,
		'offset'          => 0,
		'orderby'         => 'post_date',
		'order'           => 'DESC',
		'post_type'       => 'at_noti',
		'post_status'     => 'publish',
		'suppress_filters' => 0
	);
	$alerts = get_posts($args);
	
	$alertnum = 0;
	$at_css_styles_output = '';
	
	foreach($alerts as $a) {
		$alertnum++;
		$meta_tmp = get_post_meta($a->ID, 'at_noti_options');
		$at_noti_options = $meta_tmp[0];
		
		// VISIBLE TO
		if ($at_noti_options['alert_visible_to'] == '1') {
			if (!is_user_logged_in()) {
				continue;
			}
			else {
				global $current_user;
      			get_currentuserinfo();				
				$user = new WP_User( $current_user->ID );
				if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
					foreach ( $user->roles as $role )
						$userrole = $role;
				}
				
				$role_exists = 0;
				foreach ($at_noti_options['alert_visible_roles'] as $k => $v) {
					if (($k == $role)  && ($v == 'on'))
						$role_exists = 1;
				}
				
				if ($role_exists == 0) continue;
			}
		}
		else if ($at_noti_options['alert_visible_to'] == '2') {
			if (is_user_logged_in()) {
				continue;
			}
		}
		// END VISIBLE TO
		
		
		// DISPLAY
		if (
			(($at_noti_options['alert_display'] == 'home') && (is_home()))
			||
			($at_noti_options['alert_display'] == 'all') 
			|| 
			(($postType == 'page') && ($at_noti_options['alert_display'] == 'all_pages')) 
			|| 
			(($postType == 'post') && ($at_noti_options['alert_display'] == 'all_posts'))
			|| 
			(($at_noti_options['alert_display'] == 'trigger') && (isset($activeAlerts[$a->ID]) && ($activeAlerts[$a->ID] == 1)))
		) {
			
			if (isset($at_noti_options['alert_reopen_btn']) && $at_noti_options['alert_reopen_btn'] == 1) {
				$at_css_styles_output .= '
				#at_noti_reopen_'.$a->ID.' {
					background: '.at_parseColor($at_noti_options['alert_bgcolor']).';
				}
				';
			}
			
			// General styles for the banner
			$at_css_styles_output .= '
				/* WRAPPER #'.$a->ID.' */
				#at_noti_wrapper_'.$a->ID.' {
					height: '.$at_noti_options['alert_height'].'px;
					background: '.at_parseColor($at_noti_options['alert_bgcolor']).';
					z-index: '.(1200-($alertnum*100)).'!important;';
				
			// General: Border
			if (isset($at_noti_options['alert_border']) && $at_noti_options['alert_border'] == 1) {
				$at_css_styles_output .= '
					'.(($at_noti_options['alert_position'] == 'floatBottom') ? 'border-top' : 'border-bottom').': solid '.at_parseColor($at_noti_options['alert_border_color']).' '.$at_noti_options['alert_border_size'].'px;
				';
			}
			// General: Drop-shadow
			if (isset($at_noti_options['alert_drop_shadow']) && $at_noti_options['alert_drop_shadow'] == 1) {
				$at_css_styles_output .= '
					-moz-box-shadow: 0px '.(($at_noti_options['alert_position'] == 'floatBottom') ? '-1px' : '1px').' '.$at_noti_options['alert_drop_shadow_blur'].'px '.$at_noti_options['alert_drop_shadow_spread'].'px '.at_parseColor($at_noti_options['alert_drop_shadow_color']).';
					-webkit-box-shadow: 0px '.(($at_noti_options['alert_position'] == 'floatBottom') ? '-1px' : '1px').' '.$at_noti_options['alert_drop_shadow_blur'].'px '.$at_noti_options['alert_drop_shadow_spread'].'px '.at_parseColor($at_noti_options['alert_drop_shadow_color']).';
					box-shadow: 0px '.(($at_noti_options['alert_position'] == 'floatBottom') ? '-1px' : '1px').' '.$at_noti_options['alert_drop_shadow_blur'].'px '.$at_noti_options['alert_drop_shadow_spread'].'px '.at_parseColor($at_noti_options['alert_drop_shadow_color']).';
				';
			}
			
			
			$at_css_styles_output .= '
				}
				#at_noti_wrapper_'.$a->ID.' .at_noti_container {
					height: '.$at_noti_options['alert_height'].'px;
					width: '.$at_noti_options['alert_width'].'px;
					max-width:100%;
				}
				#at_noti_wrapper_'.$a->ID.' .at_noti_close {
					color: '.at_parseColor($at_noti_options['alert_close_btn_color']).';
				}
			';
			
			// Inline CSS
			$at_css_styles_output .= $at_noti_options['alert_cssstyle'];
			
			// Layer by layer styles
			foreach($at_noti_options['layers'] as $layer) {
				
				$at_css_styles_output .= '
				#at_noti_wrapper_'.$a->ID.' .at_noti_container #at_noti_layer_'.$layer['id'].' {
					top: '.at_pixels_to_perc($layer['alert_layer_y'], $at_noti_options['alert_height']).'%;
					'.$layer['alert_align_from_horiz'].': '.at_pixels_to_perc($layer['alert_layer_x'], $at_noti_options['alert_width']).'%;
					z-index: '.$layer['alert_layer_z'].';
					font-size: '.$layer['alert_layer_size'].'px;
					color: '.at_parseColor($layer['alert_layer_color']).';
				';
					
				// ICON
				if ($layer['layer_type'] == 'icon') {
				
					$at_css_styles_output .= '
					line-height: '.$layer['alert_layer_line_height'].'px;
					';
					
				}
					
				// CAPTION
				if ($layer['layer_type'] == 'caption') {
				
					$at_css_styles_output .= '
					font-family:  '.($layer['alert_layer_font'] ? "'".str_replace('+', ' ', $layer['alert_layer_font'])."'" : 'Arial').', Helvetica, sans-serif;
					line-height: '.$layer['alert_layer_line_height'].'px;
					width: 100%;
					text-align: '.(($layer['alert_align_from_horiz'] == 'left') ? 'left' : 'right').';
					';

					if ($layer['alert_layer_font']) {
						if (!in_array($layer['alert_layer_font'], $gFonts)) {
							$gFonts[] = $layer['alert_layer_font'];
						}
					}
					
				} 
				
				// BUTTON
				if ($layer['layer_type'] == 'button') {
				
					$at_css_styles_output .= '
					font-family:  '.($layer['alert_layer_font'] ? "'".str_replace('+', ' ', $layer['alert_layer_font'])."'" : 'Arial').', Helvetica, sans-serif;
					background: '.at_parseColor($layer['alert_layer_color_btn_background']).';
					padding: '.$layer['alert_layer_padding'].'px;
					border-radius: '.$layer['alert_layer_border_radius'].'px;
					line-height: '.$layer['alert_layer_size'].'px;
					';
					
				}
				
				// WIDGET
				if ($layer['layer_type'] == 'widget') {
				
					$at_css_styles_output .= '
					height: '.((isset($layer['alert_layer_h'])) ? $layer['alert_layer_h'].'px' : 'auto').';
					width: '.((isset($layer['alert_layer_w'])) ? $layer['alert_layer_w'].'px' : 'auto').';
					';
					
				}
					
				$at_css_styles_output .= $layer['alert_layer_css_inline'];
				$at_css_styles_output .= '
				}';
				
				// IMAGE
				if ($layer['layer_type'] == 'image') {
					$at_css_styles_output .= '
					#at_noti_wrapper_'.$a->ID.' .at_noti_container #at_noti_layer_'.$layer['id'].' img {
						height: '.((isset($layer['alert_layer_h'])) ? $layer['alert_layer_h'].'px' : 'auto').';
						width:'.((isset($layer['alert_layer_w'])) ? $layer['alert_layer_w'].'px' : 'auto').';
					}
					';
				}
				// BUTTON
				if ($layer['layer_type'] == 'button') {
					$at_css_styles_output .= '
					#at_noti_wrapper_'.$a->ID.' .at_noti_container #at_noti_layer_'.$layer['id'].':hover {
						background: '.at_parseColor($layer['alert_icon_link_hover_background_btn']).';
						color: '.at_parseColor($layer['alert_icon_link_hover']).';
					}
					';
				}
				$responsive_800_font_size = ($layer['alert_layer_size']*0.7 > 12 ? $layer['alert_layer_size']*0.7 : 12);
				$responsive_500_font_size = ($layer['alert_layer_size']*0.5 > 12 ? $layer['alert_layer_size']*0.5 : 12);
				
				$at_css_styles_output .= '
				
					@media only screen and (max-width : 800px) {
						#at_noti_wrapper_'.$a->ID.' {

						}
						#at_noti_wrapper_'.$a->ID.' .at_noti_container {
							margin: 10px 0 0;
						}
						#at_noti_wrapper_'.$a->ID.' .at_noti_container #at_noti_layer_'.$layer['id'].' {
							font-size: '.$responsive_800_font_size.'px;
							line-height: '.(($layer['alert_layer_line_height']*0.7 > 12) ? $layer['alert_layer_line_height']*0.7 : '18' ).'px;

						}
					}
					@media only screen and (max-width : 500px) {
						#at_noti_wrapper_'.$a->ID.' {

						}
						#at_noti_wrapper_'.$a->ID.' .at_noti_container {
							margin: 20px 0 0;
						}
						#at_noti_wrapper_'.$a->ID.' .at_noti_container #at_noti_layer_'.$layer['id'].' {
							font-size: '.$responsive_500_font_size.'px;
							line-height: '.(($layer['alert_layer_line_height']*0.7 > 12) ? ($layer['alert_layer_line_height']*0.4) : '18').'px;

						}
					}
					
				';
				
				
			}
		}
	}

	// OUTPUT
	foreach($gFonts as $font) {
		if ($font) {
		?>
		<link href="http://fonts.googleapis.com/css?family=<?php echo $font; ?>" media="screen" rel="stylesheet" type="text/css" />
		<?php
		}
	}
	?>
    
		<style type="text/css">
			/* AlchemyThemes's nice notifications plugin */
	<?php
	foreach($gFonts as $font) { if ($font) {
	?>
			@import url(http://fonts.googleapis.com/css?family=<?php echo $font; ?>);
	<?php
	} }

	echo $at_css_styles_output;
?>
</style>
	<?php	
}
add_action('wp_print_styles', 'at_noti_add_styles');

/* DIVS */
function at_noti_add_alerts(){ 
	//global $post;
	$post = get_queried_object();
	
	if (is_single() || is_page()) {
		$activeAlerts = get_post_meta( $post->ID, 'at_noti_active_alerts', true );
	}

	$postType = $post->post_type;

	$args = array(
		'posts_per_page'  => 0,
		'numberposts'     => 0,
		'offset'          => 0,
		'orderby'         => 'menu_order',
		'order'           => 'DESC',
		'post_type'       => 'at_noti',
		'post_status'     => 'publish',
		'suppress_filters' => 0
	);
	$alerts = get_posts($args);
	
	foreach($alerts as $a) {
		$meta_tmp = get_post_meta($a->ID, 'at_noti_options');
		$at_noti_options = $meta_tmp[0];
		$a->at_noti_options = $at_noti_options;
		
		// VISIBLE TO
		if ($a->at_noti_options['alert_visible_to'] == '1') {
			if (!is_user_logged_in()) {
				continue;
			}
			else {
				global $current_user;
      			get_currentuserinfo();				
				$user = new WP_User( $current_user->ID );
				if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
					foreach ( $user->roles as $role )
						$userrole = $role;
				}
				
				$role_exists = 0;
				foreach ($a->at_noti_options['alert_visible_roles'] as $k => $v) {
					if (($k == $role)  && ($v == 'on'))
						$role_exists = 1;
				}
				
				if ($role_exists == 0) continue;
			}
		}
		else if ($a->at_noti_options['alert_visible_to'] == '2') {
			if (is_user_logged_in()) {
				continue;
			}
		}
		// END VISIBLE TO
		
		// DISPLAY
		if (
			(($at_noti_options['alert_display'] == 'home') && (is_home()))
			||
			($at_noti_options['alert_display'] == 'all') 
			|| 
			(($postType == 'page') && ($at_noti_options['alert_display'] == 'all_pages')) 
			|| 
			(($postType == 'post') && ($at_noti_options['alert_display'] == 'all_posts'))
			|| 
			(($a->at_noti_options['alert_display'] == 'trigger') && (isset($activeAlerts[$a->ID]) && ($activeAlerts[$a->ID] == 1)))
		) {
		
		/* WRAPPER */
		if (isset($a->at_noti_options['alert_reopen_btn']) && $a->at_noti_options['alert_reopen_btn'] == 1) {
		?>
        <div class="at_noti_reopen" id="at_noti_reopen_<?php echo $a->ID; ?>">
        	<img src="<?php echo plugins_url('re-open.png', __FILE__); ?>" />
        </div>
        <?php
		}
		?>
        
		<div class="at_noti_wrapper <?php echo $a->at_noti_options['alert_class']; ?>" id="at_noti_wrapper_<?php echo $a->ID; ?>" 
            data-position="<?php echo $a->at_noti_options['alert_position']; ?>" 
            data-animation-in="<?php echo $a->at_noti_options['alert_entrance_anim']; ?>" 
            data-delay-in="<?php echo $a->at_noti_options['alert_entrance_delay_timeout']; ?>" 
            
            data-animation-out="<?php echo $a->at_noti_options['alert_exit_anim']; ?>" 
            <?php if ($a->at_noti_options['alert_exit_delay_type'] == 'onTimeout') { ?>
            data-delay-close="<?php echo $a->at_noti_options['alert_exit_delay_timeout']; ?>" 
            <?php } ?>
            
            data-close-remember="<?php echo $a->at_noti_options['alert_close_remember']; ?>" 
            data-show-reopen="<?php echo (($a->at_noti_options['alert_reopen_btn'] == 1) ? '1' : '0'); ?>" 
        >
			<div class="at_noti_container">
				
                <?php
				/* LAYERS */
				foreach($a->at_noti_options['layers'] as $layer) {
					if ($layer['layer_type'] == 'icon') {
						?>
                        <span class="at_noti_icon at_noti_layer <?php echo (($layer['alert_layer_css_class']) ? $layer['alert_layer_css_class'] : ''); ?>" id="at_noti_layer_<?php echo $layer['id']; ?>" 
                        	<?php if ($layer['alert_layer_entrance_anim']) { ?>
	                        	data-animation-in="<?php echo $layer['alert_layer_entrance_anim']; ?>" 
    	                        data-delay-in="<?php echo $layer['alert_layer_entrance_anim_delay']; ?>" 
        	                    data-speed-in="<?php echo $layer['alert_layer_entrance_anim_speed']; ?>" 
							<?php } ?>
                            <?php if ($layer['alert_layer_exit_anim']) { ?>
                                data-animation-out="<?php echo $layer['alert_layer_exit_anim']; ?>" 
                                data-delay-out="<?php echo $layer['alert_layer_exit_anim_delay']; ?>" 
                                data-speed-out="<?php echo $layer['alert_layer_exit_anim_speed']; ?>" 
                            <?php } ?>
                            data-layer-alignment="<?php echo $layer['alert_align_from_horiz']; ?>" 
                        >
                        	<?php
							if ($layer['alert_icon_link'] == 1) {
								echo '<a href="'.$layer['alert_icon_link_url'].'" rel="nofollow" '.((!empty($layer['alert_icon_link_target'])) ? 'target="'.$layer['alert_icon_link_target'].'"' : '' ).'>';							}
							?>
                            <i class="<?php echo $layer['alert_icon']; ?>"></i>
                            <?php
							if ($layer['alert_icon_link'] == 1) {
								echo '</a>';
							}
							?>
                        </span>
                        <?php
					}
					else if ($layer['layer_type'] == 'caption') {
						?>
                        <span class="at_noti_caption at_noti_layer <?php echo (($layer['alert_layer_css_class']) ? $layer['alert_layer_css_class'] : ''); ?>" id="at_noti_layer_<?php echo $layer['id']; ?>" 
                        	<?php if ($layer['alert_layer_entrance_anim']) { ?>
	                        	data-animation-in="<?php echo $layer['alert_layer_entrance_anim']; ?>" 
    	                        data-delay-in="<?php echo $layer['alert_layer_entrance_anim_delay']; ?>" 
        	                    data-speed-in="<?php echo $layer['alert_layer_entrance_anim_speed']; ?>" 
							<?php } ?>
                            <?php if ($layer['alert_layer_exit_anim']) { ?>
                                data-animation-out="<?php echo $layer['alert_layer_exit_anim']; ?>" 
                                data-delay-out="<?php echo $layer['alert_layer_exit_anim_delay']; ?>" 
                                data-speed-out="<?php echo $layer['alert_layer_exit_anim_speed']; ?>" 
                            <?php } ?>
                            data-layer-alignment="<?php echo $layer['alert_align_from_horiz']; ?>" 
                        >
                            <?php echo do_shortcode($layer['alert_layer_text']);?>
                        </span>
                        <?php
					}
					else if ($layer['layer_type'] == 'image') {
						?>
                        <span class="at_noti_image at_noti_layer <?php echo (($layer['alert_layer_css_class']) ? $layer['alert_layer_css_class'] : ''); ?>" id="at_noti_layer_<?php echo $layer['id']; ?>" 
                        	<?php if ($layer['alert_layer_entrance_anim']) { ?>
	                        	data-animation-in="<?php echo $layer['alert_layer_entrance_anim']; ?>" 
    	                        data-delay-in="<?php echo $layer['alert_layer_entrance_anim_delay']; ?>" 
        	                    data-speed-in="<?php echo $layer['alert_layer_entrance_anim_speed']; ?>" 
							<?php } ?>
                            <?php if ($layer['alert_layer_exit_anim']) { ?>
                                data-animation-out="<?php echo $layer['alert_layer_exit_anim']; ?>" 
                                data-delay-out="<?php echo $layer['alert_layer_exit_anim_delay']; ?>" 
                                data-speed-out="<?php echo $layer['alert_layer_exit_anim_speed']; ?>" 
                            <?php } ?>
                            data-layer-alignment="<?php echo $layer['alert_align_from_horiz']; ?>" 
                        >
                        	<?php
							if ($layer['alert_icon_link'] == 1) {
								echo '<a href="'.$layer['alert_icon_link_url'].'" rel="nofollow" '.((!empty($layer['alert_icon_link_target'])) ? 'target="'.$layer['alert_icon_link_target'].'"' : '' ).'>';
							}
							?>
                            <img src="<?php echo $layer['alert_layer_img_url'] ;?>" alt="" />
                            <?php
							if ($layer['alert_icon_link'] == 1) {
								echo '</a>';
							}
							?>
                        </span>
                        <?php
					}
					else if ($layer['layer_type'] == 'button') {
						?>
                        <a rel="nofollow" href="<?php echo (($layer['alert_icon_link_url']) ? $layer['alert_icon_link_url'] : '#'); ?>" <?php if (!empty($layer['alert_icon_link_target'])) { ?> target="<?php echo $layer['alert_icon_link_target']; ?>" <?php } ?> class="at_noti_button at_noti_layer <?php echo (($layer['alert_layer_css_class']) ? $layer['alert_layer_css_class'] : ''); ?>" id="at_noti_layer_<?php echo $layer['id']; ?>" 
                        	<?php if ($layer['alert_layer_entrance_anim']) { ?>
	                        	data-animation-in="<?php echo $layer['alert_layer_entrance_anim']; ?>" 
    	                        data-delay-in="<?php echo $layer['alert_layer_entrance_anim_delay']; ?>" 
        	                    data-speed-in="<?php echo $layer['alert_layer_entrance_anim_speed']; ?>" 
							<?php } ?>
                            <?php if ($layer['alert_layer_exit_anim']) { ?>
                                data-animation-out="<?php echo $layer['alert_layer_exit_anim']; ?>" 
                                data-delay-out="<?php echo $layer['alert_layer_exit_anim_delay']; ?>" 
                                data-speed-out="<?php echo $layer['alert_layer_exit_anim_speed']; ?>" 
                            <?php } ?>
                            data-layer-alignment="<?php echo $layer['alert_align_from_horiz']; ?>" 
                        >
                            <?php echo $layer['alert_layer_btn_caption']; ?>
                        </a>
                        <?php
					}
					else if ($layer['layer_type'] == 'widget') {
						?>
                        <span class="at_noti_widget at_noti_layer <?php echo (($layer['alert_layer_css_class']) ? $layer['alert_layer_css_class'] : ''); ?>" id="at_noti_layer_<?php echo $layer['id']; ?>" 
                        	<?php if ($layer['alert_layer_entrance_anim']) { ?>
	                        	data-animation-in="<?php echo $layer['alert_layer_entrance_anim']; ?>" 
    	                        data-delay-in="<?php echo $layer['alert_layer_entrance_anim_delay']; ?>" 
        	                    data-speed-in="<?php echo $layer['alert_layer_entrance_anim_speed']; ?>" 
							<?php } ?>
                            <?php if ($layer['alert_layer_exit_anim']) { ?>
                                data-animation-out="<?php echo $layer['alert_layer_exit_anim']; ?>" 
                                data-delay-out="<?php echo $layer['alert_layer_exit_anim_delay']; ?>" 
                                data-speed-out="<?php echo $layer['alert_layer_exit_anim_speed']; ?>" 
                            <?php } ?>
                            data-layer-alignment="<?php echo $layer['alert_align_from_horiz']; ?>" 
                        >
                            <?php dynamic_sidebar('at_noti_sidebar_'.$a->ID.'_'.$layer['id']); ?>
                        </span>
                        <?php
					}
					
				}
				?>
			</div>
            <?php
			/* CLOSE BUTTON */
			if ($a->at_noti_options['alert_close_btn'] == 1) { ?>
			<span class="at_noti_close"><i class="<?php echo (($a->at_noti_options['alert_close_btn_style']) ? $a->at_noti_options['alert_close_btn_style'] : 'icon-remove'); ?>"></i></span>
			<?php } ?>
		</div>
		<?php
		}
	}
} 
add_action('wp_footer', 'at_noti_add_alerts');
?>