<?php
add_action('widgets_init', 'at_noti_init_social_widget');
function at_noti_init_social_widget() { register_widget('at_Noti_Social_Widget'); }

class at_Noti_Social_Widget extends WP_Widget {

	public function __construct() {
		parent::__construct(
	 		'at_noti_social',
			'Nice Notification :: Social Widget',
			array( 'description' => __('Add your Social network links using Awesome Icons', AT_NOTI_PLUGIN),)
		);
		add_action( 'wp_enqueue_scripts', array( &$this, 'register_widget_styles' ) );
		add_action( 'wp_enqueue_scripts', array( &$this, 'register_widget_scripts' ) );
	}

	public function widget( $args, $instance ) {
		extract( $args );
		$dribbble = empty( $instance['dribbble'] ) ? '' : apply_filters( 'dribbble', $instance['dribbble'] );
		$envelope = empty( $instance['envelope'] ) ? '' : apply_filters( 'envelope', $instance['envelope'] );
		$facebook = empty( $instance['facebook'] ) ? '' : apply_filters( 'facebook', $instance['facebook'] );
		$flickr = empty( $instance['flickr'] ) ? '' : apply_filters( 'flickr', $instance['flickr'] );
		$foursquare = empty( $instance['foursquare'] ) ? '' : apply_filters( 'foursquare', $instance['foursquare'] );
		$github = empty( $instance['github'] ) ? '' : apply_filters( 'github', $instance['github'] );
		$google_plus = empty( $instance['google_plus'] ) ? '' : apply_filters( 'google_plus', $instance['google_plus'] );
		$instagram = empty( $instance['instagram'] ) ? '' : apply_filters( 'instagram', $instance['instagram'] );
		$linkedin = empty( $instance['linkedin'] ) ? '' : apply_filters( 'linkedin', $instance['linkedin'] );
		$pinterest = empty( $instance['pinterest'] ) ? '' : apply_filters( 'pinterest', $instance['pinterest'] );
		$rss = empty( $instance['rss'] ) ? '' : apply_filters( 'rss', $instance['rss'] );
		$skype = empty( $instance['skype'] ) ? '' : apply_filters( 'skype', $instance['skype'] );
		$tumblr = empty( $instance['tumblr'] ) ? '' : apply_filters( 'tumblr', $instance['tumblr'] );
		$twitter = empty( $instance['twitter'] ) ? '' : apply_filters( 'twitter', $instance['twitter'] );
		$youtube = empty( $instance['youtube'] ) ? '' : apply_filters( 'youtube', $instance['youtube'] );
		
		$fontsize = $instance['fontsize'];
		$align = $instance['align'];
		$style = $instance['style'];
		$tooltip = $instance['tooltip'];

		echo '<ul class="at_noti_widget_social '.$align.' '.$style.'" style="font-size:'.$fontsize.'px;">';
		
		foreach( $instance as $key => $val ) {
			if (($key != 'fontsize') && ($key != 'align') && ($key != 'style') && ($key != 'tooltip')) {
				if ($instance[$key]) {
					$title = (($key == 'envelope') ? 'E-mail' : $key);
					echo '<li><a href="'.(($key == 'envelope') ? 'mailto:' : '').$val.'" class="at_noti_tipsy" rel="tipsy" title="'.ucfirst(str_replace("_", " ", $title)).'" data-gravity="'.$tooltip.'"><i class="icon-'.str_replace('_', '-', $key).'"></i></a></li>';
				}
			}
		}
		
		echo '</ul>';
	}
	
	function form($instance) {
		$instance = wp_parse_args(
			(array)$instance,
			array(
				'dribbble' 			=> '',
				'envelope' 			=> '',
				'facebook' 			=> '',
				'flickr' 			=> '',
				'foursquare' 		=> '',
				'github'	 		=> '',
				'google_plus' 		=> '',
				'instagram'			=> '',
				'linkedin' 			=> '',
				'pinterest' 		=> '',
				'rss' 				=> '',
				'skype' 			=> '',
				'tumblr' 			=> '',
				'twitter' 			=> '',
				'youtube' 			=> '',
				'fontsize'			=> '',
				'align'				=> '',
				'style'				=> ''
				
			)
		);
		
		// Remove old instances of posterous since this has been removed
		if( isset( $instance['posterous'] ) ) unset( $instance['posterous'] );
		
		$dribbble = $this->_strip( $instance, 'dribbble' );
		$envelope = $this->_strip( $instance, 'envelope' );
		$facebook = $this->_strip( $instance, 'facebook' );
		$flickr = $this->_strip( $instance, 'flickr' );
		$foursquare = $this->_strip( $instance, 'foursquare' );
		$github = $this->_strip( $instance, 'github' );
	    $google_plus = $this->_strip( $instance, 'google_plus' );
	    $instagram = $this->_strip( $instance, 'instagram' );
		$linkedin = $this->_strip( $instance, 'linkedin' );
		$pinterest = $this->_strip( $instance, 'pinterest' );
		$rss = $this->_strip( $instance, 'rss' );
		$skype = $this->_strip( $instance, 'skype' );
		$tumblr = $this->_strip( $instance, 'tumblr' );
		$twitter = $this->_strip( $instance, 'twitter' );
		$youtube = $this->_strip( $instance, 'youtube' );
		
		$fontsize = ((isset($instance['fontsize'])) ? $instance['fontsize'] : '26');
		$align = ((isset($instance['align'])) ? $instance['align'] : 'left');
		$style = ((isset($instance['style'])) ? $instance['style'] : 'dark');
		$tooltip = ((isset($instance['tooltip'])) ? $instance['tooltip'] : 's');
		
		?>
        <p>
			<label for="<?php echo $this->get_field_name('envelope'); ?>"><?php _e('E-mail', AT_NOTI_PLUGIN); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('envelope'); ?>" name="<?php echo $this->get_field_name('envelope'); ?>" type="text" value="<?php echo esc_attr($envelope); ?>" />
		</p>
        <?php
		foreach( $instance as $key => $val ) {
			if (($key != 'fontsize') && ($key != 'align') && ($key != 'style') && ($key != 'envelope') && ($key != 'tooltip')) {
				?>
				<p>
					<label for="<?php echo $this->get_field_name($key); ?>"><?php _e($key, AT_NOTI_PLUGIN); ?></label> 
					<input class="widefat" id="<?php echo $this->get_field_id($key); ?>" name="<?php echo $this->get_field_name($key); ?>" type="text" value="<?php echo esc_attr($val); ?>" />
				</p>
				<?php
			}
		}
		?>
        
        <p>&nbsp;</p>
        <p>
			<label for="<?php echo $this->get_field_name('fontsize'); ?>"><?php _e('Icon size', AT_NOTI_PLUGIN); ?></label> 
			<input id="<?php echo $this->get_field_id('fontsize'); ?>" name="<?php echo $this->get_field_name('fontsize'); ?>" type="text" value="<?php echo esc_attr($fontsize); ?>" size="3" /> px
		</p>
        <p>
			<label for="<?php echo $this->get_field_name('align'); ?>"><?php _e('Icon alignment', AT_NOTI_PLUGIN); ?></label> 
			<select id="<?php echo $this->get_field_id('align'); ?>" name="<?php echo $this->get_field_name('align'); ?>" type="text" value="<?php echo esc_attr($align); ?>">
            	<option value="left" <?php echo (($align == 'left') ? 'selected="selected"' : ''); ?>>Left</option>
                <option value="right" <?php echo (($align == 'right') ? 'selected="selected"' : ''); ?>>Right</option>
            </select>
		</p>
        <p>
			<label for="<?php echo $this->get_field_name('style'); ?>"><?php _e('Style', AT_NOTI_PLUGIN); ?></label> 
			<select id="<?php echo $this->get_field_id('style'); ?>" name="<?php echo $this->get_field_name('style'); ?>" type="text" value="<?php echo esc_attr($style); ?>">
            	<option value="dark" <?php echo (($style == 'dark') ? 'selected="selected"' : ''); ?>>Dark</option>
                <option value="light" <?php echo (($style == 'light') ? 'selected="selected"' : ''); ?>>Light</option>
            </select>
		</p>
        <p>
			<label for="<?php echo $this->get_field_name('tooltip'); ?>"><?php _e('Tooltip', AT_NOTI_PLUGIN); ?></label> 
			<select id="<?php echo $this->get_field_id('tooltip'); ?>" name="<?php echo $this->get_field_name('tooltip'); ?>" type="text" value="<?php echo esc_attr($tooltip); ?>">
            	<option value="s" <?php echo (($tooltip == 's') ? 'selected="selected"' : ''); ?>>Top</option>
                <option value="n" <?php echo (($tooltip == 'n') ? 'selected="selected"' : ''); ?>>Bottom</option>
            </select>
		</p>
		<?php 
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['dribbble'] = $this->_strip( $new_instance, 'dribbble' );
		$instance['envelope'] = $this->_strip( $new_instance, 'envelope' );
		$instance['facebook'] = $this->_strip( $new_instance, 'facebook' );
		$instance['flickr'] = $this->_strip( $new_instance, 'flickr' );
		$instance['foursquare'] = $this->_strip( $new_instance, 'foursquare' );
		$instance['github'] = $this->_strip( $new_instance, 'github' );
		$instance['google_plus'] = $this->_strip( $new_instance, 'google_plus' );
		$instance['instagram'] = $this->_strip( $new_instance, 'instagram' );
		$instance['linkedin'] = $this->_strip( $new_instance, 'linkedin' );
		$instance['pinterest'] = $this->_strip( $new_instance, 'pinterest' );
		$instance['rss'] = $this->_strip( $new_instance, 'rss' );
		$instance['skype'] = $this->_strip( $new_instance, 'skype' );
		$instance['tumblr'] = $this->_strip( $new_instance, 'tumblr' );
		$instance['twitter'] = $this->_strip( $new_instance, 'twitter' );
		$instance['youtube'] = $this->_strip( $new_instance, 'youtube' );
		
		$instance['fontsize'] = (!empty($new_instance['fontsize'])) ? strip_tags($new_instance['fontsize']) : '';
		$instance['align'] = (!empty($new_instance['align'])) ? strip_tags($new_instance['align']) : '';
		$instance['style'] = (!empty($new_instance['style'])) ? strip_tags($new_instance['style']) : '';
		$instance['tooltip'] = (!empty($new_instance['tooltip'])) ? strip_tags($new_instance['tooltip']) : '';

		return $instance;
	}
	
	public function register_widget_styles() {
		wp_enqueue_style('at_noti_social_widget', plugins_url('at-noti/js/tipsy/tipsy.css'));
	}
	public function register_widget_scripts() {
		wp_enqueue_script('at_noti_social_widget', plugins_url('at-noti/js/tipsy/jquery.tipsy.js'), array('jquery' ));
	}
	private function _strip( $obj, $title ) {
		return strip_tags( stripslashes( $obj[ $title ] ) );
	}
}
?>