/***********************************************************
  This file belongs to Nice Notifications WordPress Plugin
  and it is copyrighted to AlchemyThemes.com
  
  Version: 0.1
  Last update: 26.06.2013
  Author: AlchemyThemes
 ***********************************************************/
(function(jQuery) {
	jQuery.fn.niceNoti= function() {
		
		var alert_id;
		var o = {}
		
		var defaults = {
			position: 'bodyTop', 	// string: 'bodyTop' , 'floatTop' , 'floatBottom' , 'popup'
			positionAlign: 'left',	// left or right
			animIn: 'fadeInDown',	// string: any of animate.css options
			animOut: 'fadeOutUp',	// string: any of animate.css options
			delayIn: false,			// false or integer: ms
			delayOut: false,		// false or integer: ms
			rememberClosed: 0,		// 0 or 1
			showReopen: 0			// 0 or 1
		}
		
		var createAlert = function(wrapper, options) {
			o = jQuery.extend(defaults, options || {});
			
			alert_id = wrapper.attr('id').replace('at_noti_wrapper_', '');
			//jQuery.removeCookie('at_noti_alert_'+parseInt(alert_id, 10));
			
			// create the container object
			var container = wrapper.find('.at_noti_container');
			
			// position the alert box depending on options
			switch (o.position) {
				case 'bodyTop': 
					if (jQuery('.at_noti_wrapper:visible').length) {
						var last = jQuery('.at_noti_wrapper:visible').last();
						wrapper.insertAfter(last);
					}
					else {
						wrapper.prependTo('body');
					}
					break;
				
				case 'floatTop':
					if (jQuery('#at-noti-screen-top-container').length == 0) {
						jQuery('<div id="at-noti-screen-top-container"></div>').prependTo('body');
					}
					wrapper.prependTo('#at-noti-screen-top-container');
					if (jQuery('#wpadminbar').length) {
						wrapper.find('#at-noti-screen-top-container').css({'top': '28px'});
					}
					break;
					
				case 'floatBottom':
					if (jQuery('#at-noti-screen-bottom-container').length == 0) {
						jQuery('<div id="at-noti-screen-bottom-container"></div>').prependTo('body');
					}
					wrapper.prependTo('#at-noti-screen-bottom-container');
					break;
				
				case 'popup':
					
					break;
			}
			
			// set the events
			setEvents(wrapper, options);
			
			/////////////////////////////////////////////////////////////////////
			// If cookie remembers this element as :not closed, then show it.
			/////////////////////////////////////////////////////////////////////
			if (jQuery.cookie('at_noti_alert_'+parseInt(alert_id, 10)) != 'closed') {
				hideTags();
				// display the alert
				if (options.delayIn) { (function(wrapper, opt) { setTimeout(function() { displayAlert(wrapper, opt); }, o.delayIn); })(wrapper, options); }
				else { (function(wrapper, opt) { displayAlert(wrapper, opt); })(wrapper, options); }
			}
			/////////////////////////////////////////////////////////////////////
			// IF cooki is 'closed', dont show it, but reposition the tags
			/////////////////////////////////////////////////////////////////////
			else {
				setTimeout(function() { repositionTags(); }, 300);
			}
		}
		
		
		var hideTags = function() {
			jQuery('.at_noti_reopen.open_tag').stop(true, true).fadeOut(30);
		}
		
		var repositionTags = function() {
			var curr_top = 0;
			var curr_top_b = 0;
			// Get the offset of all the visible wrappers and see which one is the highest.
			jQuery('.at_noti_wrapper:visible').each(function(i) {
				var t = jQuery(this);
				var top = t.offset().top;
				var hei = t.height();
				var bottom = top+hei;
				
				if (t.parent().attr('id') == 'at-noti-screen-bottom-container') {
				}
				else {
					if (bottom >= curr_top) { curr_top = bottom; }
				}
			});
			if ((curr_top == 0) && (jQuery('#wpadminbar').length)) {
				curr_top = 28;
			}
			
			// Once we have the top (curr_top), lets decide what tags have to be shown and which will be hidden.
			var tag_index = 0;
			var tag_index_b = 0;
			
			jQuery('.at_noti_reopen').each(function(i) {
				var t = jQuery(this);
				var id = t.attr('id').replace('at_noti_reopen_', '');
				if (jQuery('#at_noti_wrapper_'+id).is(':visible')) {
					t.removeClass('open_tag').hide().css({'top': '-50px'});
				}
				else {
					t.addClass('open_tag').hide().css({
						'right': (tag_index*49)+10+'px',
						'top': '-50px'
					}).show().stop(true, true).animate({
						'top': curr_top+'px'
					});
					tag_index++;
				}
			});
		}
		
		var setEvents = function(wrapper, options) {
			var this_alert_id = wrapper.attr('id').replace('at_noti_wrapper_', '');
			
			// close
			wrapper.find('.at_noti_close').click(function() {
				closeAlert(wrapper, options);
			});
			
			// reopen 
			if (jQuery('#at_noti_reopen_'+this_alert_id).length) {
				jQuery('#at_noti_reopen_'+this_alert_id).click(function() {
					
					// Remember closed status?
					if (options.rememberClosed != 0) {
						jQuery.cookie('at_noti_alert_'+parseInt(this_alert_id, 10), 'open');
					}
					
					var t = jQuery(this);
					if (jQuery(this).hasClass('open_tag')) {
						var id = jQuery(this).attr('id').replace('at_noti_reopen_', '');
						
						hideTags();
						jQuery('#at_noti_wrapper_'+id).slideDown(function() {
							repositionTags();
						});
						
					}
				});
			}
			
		}
		
		var displayAlert = function(wrapper, options) {
			var container = wrapper.find('.at_noti_container');
			var highestDelay = 0;
			
			// get the Layers ready
			var layers = container.find('.at_noti_layer');
			for (var i = 0; i < layers.length; i++) {
				var currLayer = layers.eq(i);
				if (currLayer.attr('data-animation-in')) {
					
					var animSpeed = parseInt(((currLayer.attr('data-speed-in') >= 300) ? currLayer.attr('data-speed-in') : 300), 10);
					var currDelay = parseInt(currLayer.attr('data-delay-in'), 10)+800;
					
					if ((currDelay+animSpeed) >= highestDelay) {
						highestDelay = (currDelay+animSpeed);
					}
					
					switch(currLayer.attr('data-animation-in')) {
						case 'fadeIn':
							currLayer.css({ display: 'none' });
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.fadeIn(thisSpeed); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'fadeInUp':
							currLayer.css({ 'opacity': 0, 'top': '+=15%'});
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '-=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'fadeInDown':
							currLayer.css({ 'opacity': 0, 'top': '-=15%'});
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '+=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							break;
						
						case 'fadeInLeft':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '+=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '-=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'fadeInRight':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '-=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '+=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=15%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							break;
							
						case 'fadeInLeftBig':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '+=250%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=250%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '-=250%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=250%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'fadeInRightBig':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '-=250%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=250%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '+=250%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=250%', 'opacity': 1}, thisSpeed); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'bounceInUp':
							currLayer.css({ 'opacity': 0, 'top': '+=15%'});
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '-=15%', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'bounceInDown':
							currLayer.css({ 'opacity': 0, 'top': '-=15%'});
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '+=15%', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'bounceInLeft':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '+=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=15%x', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '-=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=15%', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'bounceInRight':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								currLayer.css({ 'opacity': 0, 'left': '-=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=15%', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								currLayer.css({ 'opacity': 0, 'right': '+=15%'});
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=15%', 'opacity': 1}, thisSpeed, 'easeInOutBounce'); }, currDelay); })(currLayer, animSpeed);
							}
							break;
							
					}
					
					var thiLayerDelay = parseInt(currDelay+animSpeed, 10);
					animSpeed = parseInt(((currLayer.attr('data-speed-out') >= 300) ? currLayer.attr('data-speed-out') : 300), 10);
					currDelay = parseInt(thiLayerDelay, 10)+parseInt(currLayer.attr('data-delay-out'), 10);
					
					switch(currLayer.attr('data-animation-out')) {
						case 'fadeOut':
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.fadeOut(thisSpeed); }, currDelay); })(currLayer, animSpeed);
							break;
						
						case 'fadeOutUp':
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '-=10%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'fadeOutDown':
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '+=10%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							break;
						
						case 'fadeOutLeft':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=15%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=15%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'fadeOutRight':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=15%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=15%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;
							
						case 'fadeOutLeftBig':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=250%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=250%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'fadeOutRightBig':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=250%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=250%', 'opacity': 0}, thisSpeed, function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'bounceOutDown':
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '+=25%'}, thisSpeed, 'easeInOutBounce', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							break;
						
						case 'bounceOutUp':
							(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'top': '-=25%'}, thisSpeed, 'easeInOutBounce', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							break;
							
						case 'bounceOutLeft':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '-=25%', 'opacity': 0}, thisSpeed, 'easeInBack', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '+=25%', 'opacity': 0}, thisSpeed, 'easeInBack', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;
						
						case 'bounceOutRight':
							if (currLayer.attr('data-layer-alignment') == 'left') {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'left': '+=25%', 'opacity': 0}, thisSpeed, 'easeInBack', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							else {
								(function(thisLayer, thisSpeed) { setTimeout(function() { thisLayer.animate({'right': '-=25%', 'opacity': 0}, thisSpeed, 'easeInBack', function() { thisLayer.hide(); }); }, currDelay); })(currLayer, animSpeed);
							}
							break;

					}
					
					
				}
			}
			
			// Show alert
			wrapper.addClass('animated').addClass(options.animIn).show();
			setTimeout(function() { repositionTags(); }, 300);
	
			// Auto-close
			if (options.delayOut) { (function(wrapper, options) { setTimeout(function() { closeAlert(wrapper, options); }, (parseInt(highestDelay, 10)+parseInt(options.delayOut, 10))); })(wrapper, options); }
		}
		
		var closeAlert = function(wrapper, options) {
			var this_alert_id = wrapper.attr('id').replace('at_noti_wrapper_', '');

			// Lets hide the tags
			hideTags();
			
			// Now hide the bars
			wrapper.removeClass('animated').removeClass(options.animIn);
			if (options.showReopen == 1)
				wrapper.slideUp(400, function() {
					// reposition the tags
					repositionTags(); 
				});
			else
				wrapper.addClass('animated '+options.animOut).delay(500).slideUp(400, function() { 
					// reposition the tags
					repositionTags(); 
				});
			
			// Remember closed status?
			if (options.rememberClosed != 0) {
				jQuery.cookie('at_noti_alert_'+parseInt(this_alert_id, 10), 'closed');
			}
		}
		
		return this.each(function() {
			var t = jQuery(this);
			var args = {};
			
			if (t.attr('data-position'))			args.position 		= t.attr('data-position');
			if (t.attr('data-animation-in'))		args.animIn 		= t.attr('data-animation-in');
			if (t.attr('data-animation-out'))		args.animOut 		= t.attr('data-animation-out');
			if (t.attr('data-delay-in'))			args.delayIn		= t.attr('data-delay-in');
			if (t.attr('data-delay-close'))			args.delayOut 		= t.attr('data-delay-close');
			if (t.attr('data-close-remember'))		args.rememberClosed = t.attr('data-close-remember');
			if (t.attr('data-show-reopen'))			args.showReopen 	= t.attr('data-show-reopen');
			
			
			createAlert(t, args);
		});
	
	};
})(jQuery);

jQuery(document).ready(function() {

	if (jQuery('.at_noti_wrapper').length) {
		jQuery('.at_noti_wrapper').niceNoti();
	}
	
	jQuery('a[rel=tipsy]').each(function() {
		jQuery(this).tipsy({'gravity': jQuery(this).attr('data-gravity')});
	});
	
});